<?php

/**
 * ekartki_grupy actions.
 *
 * @package    sam3
 * @subpackage ekartki_grupy
 * @author     Robert Górecki
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class ekartki_grupyActions extends myActions
{

  public function preExecute()
  {
    $perm = ($this->getUser()->checkPermission('card', 'edit') == 1) ? true : false;
    
    if (!$perm || !in_array('card', ModulPeer::getEnabled()))
    {
      $this->forwardSecure();
    }
  }

  public function executeIndex(sfWebRequest $request)
  {
    $c = $this->addSortCrit('EkartkiGrupyPeer', new Criteria());
    $this->ekartki_grupy_list = EkartkiGrupyPeer::doSelect($c);
  }

  public function executeNew(sfWebRequest $request)
  {
    $this->form = new EkartkiGrupyForm();
  }

  public function executeCreate(sfWebRequest $request)
  {
    $this->forward404Unless($request->isMethod('post'));
    $this->form = new EkartkiGrupyForm();

    $this->processForm($request, $this->form);

    $this->setTemplate('new');
  }

  public function executeEdit(sfWebRequest $request)
  {
    $this->forward404Unless($ekartki_grupy = EkartkiGrupyPeer::retrieveByPk($request->getParameter('id')), sprintf('Object ekartki_grupy does not exist (%s).', $request->getParameter('id')));
    $this->form = new EkartkiGrupyForm($ekartki_grupy);
  }

  public function executeUpdate(sfWebRequest $request)
  {
    $this->forward404Unless($request->isMethod('post') || $request->isMethod('put'));
    $this->forward404Unless($ekartki_grupy = EkartkiGrupyPeer::retrieveByPk($request->getParameter('id')), sprintf('Object ekartki_grupy does not exist (%s).', $request->getParameter('id')));
    $this->form = new EkartkiGrupyForm($ekartki_grupy);

    $this->processForm($request, $this->form);

    $this->setTemplate('edit');
  }

  public function executeDelete(sfWebRequest $request)
  {
    $this->getContext()->getConfiguration()->loadHelpers(array('Funkcje'));
    $request->checkCSRFProtection();

    $this->forward404Unless($ekartki_grupy = EkartkiGrupyPeer::retrieveByPk($request->getParameter('id')), sprintf('Object ekartki_grupy does not exist (%s).', $request->getParameter('id')));
    $obrazy = $ekartki_grupy->getEkartkiObrazys();
    $ekartki_grupy->delete();

    foreach ($obrazy as $obraz)
    {
      $path = sfConfig::get('sf_upload_dir') . '/ekartki/obrazy/' . $obraz->getId();
      if (is_dir($path))
      {
        recursive_remove_directory($path);
      }
    }

    $this->getUser()->setFlash('notice', 'Pomyślnie usunięto grupę');
    $this->redirect('ekartki_grupy/index');
  }

  protected function processForm(sfWebRequest $request, sfForm $form)
  {
    $form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
    if ($form->isValid())
    {
      $ekartki_grupy = $form->save();

      $this->getUser()->setFlash('notice', $this->__('save_ok'));
      $this->redirect('ekartki_grupy/edit?id=' . $ekartki_grupy->getId());
    }
  }

}
