<?php use_helper('Date');?>

<?php slot('top')?>
    <?php GenerateTab('card'); ?>
<?php end_slot()?>

<?php slot('message');?>
    <span id="updater">
        <?php include_partial('frontend/flashes');?>
    </span>
<?php end_slot();?>

<?php slot('actions');?>
    <?php GenerateButton(6,__('Dodaj'),"document.location.href=('".url_for('ekartki_obrazy/new')."');");?>
<?php end_slot();?>

<div class="modul_box" style="width: 100%;">
    <div id="cms_center_panel" >
        <div id="cms_center_panel_content">
            <div class="center_item_title">
                <div class="menu_icon_6"></div>
				<?php echo __("MENU") ?>
            </div>
        </div>
    </div>
    <div id="cms_right_panel">
        <div class="right_item_title"><?php echo __('LISTA OBRAZÓW')?></div>
        <?php $upload_dir = sfContext::getInstance()->getRequest()->getRelativeUrlRoot().'/uploads/ekartki/obrazy/';?>
        <table class="table_list" style="width:100%;">
            <thead>
                <tr>
                    <th><?php include_partial('frontend/sortableCol', array('module' => $module, 'col_name' => 'nazwa', 'col_title' => 'Nazwa', 'target' => 'ekartki_obrazy/index'));?></th>
                    <th><?php include_partial('frontend/sortableCol', array('module' => $module, 'col_name' => 'created_at', 'col_title' => 'Dodany', 'target' => 'ekartki_obrazy/index'));?></th>
                    <th><?php echo __('Grupa'); ?></th>
                    <th><?php include_partial('frontend/sortableCol', array('module' => $module, 'col_name' => 'publikacja_od', 'col_title' => 'Publikacja od', 'target' => 'ekartki_obrazy/index'));?></th>
                    <th><?php include_partial('frontend/sortableCol', array('module' => $module, 'col_name' => 'publikacja_do', 'col_title' => 'Publikacja do', 'target' => 'ekartki_obrazy/index'));?></th>
                    <th><?php echo __('Obraz'); ?></th>
                    <th style="width:60px;"><?php echo __('Akcje'); ?></th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($ekartki_obrazy_list as $i => $ekartki_obrazy): ?>
                    <?php $file = sfConfig::get('sf_upload_dir').'/ekartki/obrazy/'.$ekartki_obrazy->getId().'/thumb2_'.$ekartki_obrazy->getPlik();?>
                    <tr class="row_<?php echo $i % 2;?>">
                        <td><?php echo link_to($ekartki_obrazy->getNazwa(),'ekartki_obrazy/edit?id='.$ekartki_obrazy->getId()) ?></td>
                        <td style="text-align: center;" title="<?php echo $ekartki_obrazy->getCreatedAt() ? format_date($ekartki_obrazy->getCreatedAt(), "U") : '&nbsp;' ?>">
                            <?php echo $ekartki_obrazy->getCreatedAt() ? date_format(date_create($ekartki_obrazy->getCreatedAt()),'d.m.Y') : '&nbsp;' ?>
                        </td>
                        <td><?php echo $ekartki_obrazy->getEkartkiGrupy()->getNazwa() ?></td>
                        <td style="text-align: center; width: 90px;"><?php echo $ekartki_obrazy->getPublikacjaOd() ?></td>
                        <td style="text-align: center; width: 90px;"><?php echo $ekartki_obrazy->getPublikacjaDo() ?></td>
                        <td>
                            <?php if(is_file($file)): ?>
                                <?php echo image_tag($upload_dir.'/'.$ekartki_obrazy->getId().'/thumb_'.$ekartki_obrazy->getPlik(),array('title'=>'','alt'=>'')) ?>
                            <?php endif; ?>
                        </td>
                        <td>
                            <?php echo link_to(' ', 'ekartki_obrazy/edit?id='.$ekartki_obrazy->getId(), array('class'=>'min_edit', 'title'=>__('edit')))?>
                            <?php echo link_to(' ', 'ekartki_obrazy/delete?id='.$ekartki_obrazy->getId(), array('class'=>'min_del', 'title'=>__('delete'), 'confirm' => __('Napewno usunąć obraz?')))?>
                        </td>
                    </tr>
                <?php endforeach; ?>

                <?php if(!count($ekartki_obrazy_list)): ?>
                    <tr class="row_0">
                        <td colspan="7" style="text-align: center; font-weight: bold;">
                            <?php echo __('Brak wyników') ?>
                        </td>
                    </tr>
                <?php endif; ?>
            </tbody>
        </table>
        <div class="right">
            <?php GenerateButton(6,__('Dodaj'),"document.location.href=('".url_for('ekartki_obrazy/new')."');");?>
        </div>
    </div>
</div>
