<?php

/**
 * ekartki_style actions.
 *
 * @package    sam3
 * @subpackage ekartki_style
 * @author     Robert Górecki
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class ekartki_styleActions extends myActions
{

  public function preExecute()
  {
    $perm = ($this->getUser()->checkPermission('card', 'edit') == 1) ? true : false;
    
    if (!$perm || !in_array('card', ModulPeer::getEnabled()))
    {
      $this->forwardSecure();
    }
  }

  public function executeIndex(sfWebRequest $request)
  {
    $c = $this->addSortCrit('EkartkiStylePeer', new Criteria());
    $this->ekartki_style_list = EkartkiStylePeer::doSelect($c);
  }

  public function executeNew(sfWebRequest $request)
  {
    $this->form = new EkartkiStyleForm();
  }

  public function executeCreate(sfWebRequest $request)
  {
    $this->forward404Unless($request->isMethod('post'));

    $this->form = new EkartkiStyleForm();

    $this->processForm($request, $this->form);

    $this->setTemplate('new');
  }

  public function executeEdit(sfWebRequest $request)
  {
    $this->forward404Unless($ekartki_style = EkartkiStylePeer::retrieveByPk($request->getParameter('id')), sprintf('Object ekartki_style does not exist (%s).', $request->getParameter('id')));
    $this->form = new EkartkiStyleForm($ekartki_style);
  }

  public function executeUpdate(sfWebRequest $request)
  {
    $this->forward404Unless($request->isMethod('post') || $request->isMethod('put'));
    $this->forward404Unless($ekartki_style = EkartkiStylePeer::retrieveByPk($request->getParameter('id')), sprintf('Object ekartki_style does not exist (%s).', $request->getParameter('id')));
    $this->form = new EkartkiStyleForm($ekartki_style);

    $this->processForm($request, $this->form);

    $this->setTemplate('edit');
  }

  public function executeDelete(sfWebRequest $request)
  {
    $request->checkCSRFProtection();

    $this->forward404Unless($ekartki_style = EkartkiStylePeer::retrieveByPk($request->getParameter('id')), sprintf('Object ekartki_style does not exist (%s).', $request->getParameter('id')));
    $this->getContext()->getConfiguration()->loadHelpers(array('Funkcje'));
    $ekartki_style->delete();

    $path = sfConfig::get('sf_upload_dir') . '/ekartki/style/' . $ekartki_style->getId();
    if (is_dir($path))
    {
      recursive_remove_directory($path);
    }

    $this->getUser()->setFlash('notice', 'Pomyślnie usunięto styl!');

    $this->redirect('ekartki_style/index');
  }

  protected function processForm(sfWebRequest $request, sfForm $form)
  {
    $this->getContext()->getConfiguration()->loadHelpers(array('Funkcje'));
    $form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
    if ($form->isValid())
    {
      $ekartki_style = $form->save();

      if ($form->isNew())
      {
        $ekartki_style->setUzytkownikId($this->getUser()->getId());
        $ekartki_style->save();
      }
      $id = $ekartki_style->getId();
      $values = $form->getValues();

      if ($values['plik'] != NULL)
      {
        //usun poprzedni obrazek
        $path = sfConfig::get('sf_upload_dir') . '/ekartki/style/' . $id;
        if (is_dir($path))
        {
          recursive_remove_directory($path);
        }

        if (!is_dir(sfConfig::get('sf_upload_dir') . '/ekartki/style/' . $id))
        {
          mkdir(sfConfig::get('sf_upload_dir') . '/ekartki/style/' . $id, 0775, true);
        }

        $file = $values['plik'];
        //generowanie miniatury
        $filename = sha1($file->getOriginalName());
        $extension = $file->getOriginalExtension();
        $ekartki_style->setPlik($filename . $extension);
        $ekartki_style->save();

        $img_path = sfConfig::get('sf_upload_dir') . '/ekartki/style/' . $id . '/obraz_' . $filename . $extension;
        $thumb_path = sfConfig::get('sf_upload_dir') . '/ekartki/style/' . $id . '/thumb_' . $filename . $extension;
        $top_path = sfConfig::get('sf_upload_dir') . '/ekartki/style/' . $id . '/top_' . $filename . $extension;
        $body_path = sfConfig::get('sf_upload_dir') . '/ekartki/style/' . $id . '/body_' . $filename . $extension;
        $bottom_path = sfConfig::get('sf_upload_dir') . '/ekartki/style/' . $id . '/bottom_' . $filename . $extension;

        $file->save($img_path);


        if (is_file($img_path))
        {
          UploadFileForm::resize_absolute($img_path, $img_path, 0, 0, 0, 0, 500, 135);
          UploadFileForm::resize_absolute($img_path, $thumb_path, 0, 0, 0, 0, 80, 80, 80, 80);

          UploadFileForm::resize_absolute($img_path, $top_path, 0, 0, 0, 0, 500, 45, 500, 45);
          UploadFileForm::resize_absolute($img_path, $body_path, 0, 0, 0, 45, 500, 45, 500, 45);
          UploadFileForm::resize_absolute($img_path, $bottom_path, 0, 0, 0, 90, 500, 45, 500, 45);
        }
      }
      $this->getUser()->setFlash('notice', $this->__('save_ok'));

      $this->redirect('ekartki_style/edit?id=' . $ekartki_style->getId());
    }
  }

}
