<?php

/**
 * ekartki_znaczki actions.
 *
 * @package    sam3
 * @subpackage ekartki_znaczki
 * @author     Robert Górecki
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class ekartki_znaczkiActions extends myActions
{

  public function preExecute()
  {
    $perm = ($this->getUser()->checkPermission('card', 'edit') == 1) ? true : false;
    
    if (!$perm || !in_array('card', ModulPeer::getEnabled()))
    {
      $this->forwardSecure();
    }
  }

  public function executeIndex(sfWebRequest $request)
  {
    $c = $this->addSortCrit('EkartkiZnaczkiPeer', new Criteria());
    $this->ekartki_znaczki_list = EkartkiZnaczkiPeer::doSelect($c);
  }

  public function executeNew(sfWebRequest $request)
  {
    $this->form = new EkartkiZnaczkiForm();
  }

  public function executeCreate(sfWebRequest $request)
  {
    $this->forward404Unless($request->isMethod('post'));

    $this->form = new EkartkiZnaczkiForm();

    $this->processForm($request, $this->form);

    $this->setTemplate('new');
  }

  public function executeEdit(sfWebRequest $request)
  {
    $this->forward404Unless($ekartki_znaczki = EkartkiZnaczkiPeer::retrieveByPk($request->getParameter('id')), sprintf('Object ekartki_znaczki does not exist (%s).', $request->getParameter('id')));
    $this->form = new EkartkiZnaczkiForm($ekartki_znaczki);
  }

  public function executeUpdate(sfWebRequest $request)
  {
    $this->forward404Unless($request->isMethod('post') || $request->isMethod('put'));
    $this->forward404Unless($ekartki_znaczki = EkartkiZnaczkiPeer::retrieveByPk($request->getParameter('id')), sprintf('Object ekartki_znaczki does not exist (%s).', $request->getParameter('id')));
    $this->form = new EkartkiZnaczkiForm($ekartki_znaczki);

    $this->processForm($request, $this->form);

    $this->setTemplate('edit');
  }

  public function executeDelete(sfWebRequest $request)
  {
    $request->checkCSRFProtection();
    $this->getContext()->getConfiguration()->loadHelpers(array('Funkcje'));

    $this->forward404Unless($ekartki_znaczki = EkartkiZnaczkiPeer::retrieveByPk($request->getParameter('id')), sprintf('Object ekartki_znaczki does not exist (%s).', $request->getParameter('id')));
    $ekartki_znaczki->delete();

    $path = sfConfig::get('sf_upload_dir') . '/ekartki/znaczki/' . $ekartki_znaczki->getId();
    if (is_dir($path))
    {
      recursive_remove_directory($path);
    }

    $this->getUser()->setFlash('notice', 'Pomyślnie usunięto znaczek!');

    $this->redirect('ekartki_znaczki/index');
  }

  protected function processForm(sfWebRequest $request, sfForm $form)
  {
    $this->getContext()->getConfiguration()->loadHelpers(array('Funkcje'));
    $form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
    if ($form->isValid())
    {
      $ekartki_znaczki = $form->save();

      if ($form->isNew())
      {
        $ekartki_znaczki->setUzytkownikId($this->getUser()->getId());
        $ekartki_znaczki->save();
      }
      $id = $ekartki_znaczki->getId();
      $values = $form->getValues();

      if ($values['plik'] != NULL)
      {
        //usun poprzedni obrazek
        $path = sfConfig::get('sf_upload_dir') . '/ekartki/znaczki/' . $id;
        if (is_dir($path))
        {
          recursive_remove_directory($path);
        }

        if (!is_dir(sfConfig::get('sf_upload_dir') . '/ekartki/znaczki/' . $id))
        {
          mkdir(sfConfig::get('sf_upload_dir') . '/ekartki/znaczki/' . $id, 0775, true);
        }

        $file = $values['plik'];
        //generowanie miniatury
        $filename = sha1($file->getOriginalName());
        $extension = $file->getOriginalExtension();
        $ekartki_znaczki->setPlik($filename . $extension);
        $ekartki_znaczki->save();

        $img_path = sfConfig::get('sf_upload_dir') . '/ekartki/znaczki/' . $id . '/obraz_' . $filename . $extension;
        $file->save($img_path);


        if (is_file($img_path))
        {
          $img = new sfImage($img_path);
          $img->thumbnail(85, 85, 'scale');
          $img->setQuality(100);
          $img->saveAs($img_path);
        }
      }
      $this->getUser()->setFlash('notice', $this->__('save_ok'));

      $this->redirect('ekartki_znaczki/edit?id=' . $ekartki_znaczki->getId());
    }
  }

}
