<?php

/**
 * ekartki actions.
 *
 * @package    sam3
 * @subpackage ekartki
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12479 2008-10-31 10:54:40Z fabien $
 */
class ekartkiActions extends sfActions {
    public function preExecute() {
        if(!in_array('card',ModulPeer::getEnabled())) {
            $this->redirect('@homepage');
        }

        $culture = $this->getUser()->getCulture();
        $response = $this->getResponse();
        Functions::setAllMetasFromDb('card', $response,  $culture);
    }
    /**
     * Executes index action
     *
     * @param sfRequest $request A request object
     */
    
    public function executeIndex(sfWebRequest $request) {
        $this->upload_dir = sfContext::getInstance()->getRequest()->getRelativeUrlRoot().'/uploads/ekartki/';

        $c = EkartkiGrupyPeer::buildUserCriteria();
        $this->grupy = EkartkiGrupyPeer::doSelect($c);
        $this->znaczki = EkartkiZnaczkiPeer::doSelect(new Criteria());
        $this->style = EkartkiStylePeer::doSelect(new Criteria());
        $this->form = new EkartkiForm();

        $count_obrazy = EkartkiObrazyPeer::countAktywneObrazy();

        if($this->grupy && $this->znaczki && $this->style && $count_obrazy > 0) {
            $this->form->setDefault('data_wyslania', date('Y-m-d'));
            $this->form->setDefault('znaczek', $this->znaczki[0]->getId());
            $this->form->setDefault('styl', $this->style[0]->getId());
            $this->can_compose = true;
        } else {
            $this->can_compose = false;
        }
    }

    public function executeWyslij(sfWebRequest $request)
    {
        $parameters = $request->getParameter('ekartki');
        $safe_params = array();

        foreach($parameters as $key => $value)
            $safe_params[$key] = htmlspecialchars(strip_tags($value));
        
        $form = new EkartkiForm();
        $form->bind($safe_params);
        if($form->isValid())
        {
            $this->getContext()->getConfiguration()->loadHelpers(array('Funkcje'));
            $ekartka = $form->save();
            $ekartka->setKod(generujKod(30));
            $ekartka->setStatus(1);
            $ekartka->setObejrzana(null);
            $ekartka->save();
            
            //wyslanie maila
            if($safe_params['data_wyslania'] == date("Y-m-d"))
            {
                // tworzenie wiadomosci
                $temat = 'Twój znajomy skomponował dla Ciebie e-kartkę!';
                $mailer = new ciMailer($temat, $ekartka->getAdresat());

                // obrazki
                $img_list = array();
                $img_list['link'] = '/images/mailer/link.png';
                $mailer->attachImages($img_list);

                // tresc
                $mailContext = array(
                    'temat' => $temat,
                    'podpis' => $ekartka->getPodpis(),
                    'kod' => $ekartka->getKod(),
                );
                $mailer->attachContent('ekartki/mail', ciMailer::PARTIAL, $mailContext);

                // wyslanie
                $sent = $mailer->send();

                if($sent === true)
                    $this->getUser()->setFlash('notice', 'Pomyślnie wysłano e-kartkę!');
                else
                    $this->getUser()->setFlash('error', 'Nie udało się wysłać e-Kartki'.$sent);
            } 
            else
            {
                $this->getUser()->setFlash('notice', 'E-kartka zostanie wysłana dnia '.$safe_params['data_wyslania'].'!');
            }

            $this->redirect('ekartki/index');
        }
        $this->getUser()->setFlash('error', 'Z powodu błędów e-kartki nie wysłano!');
        $this->redirect('ekartki/index');
    }

    public function executeGetSearchForm(sfWebRequest $request) {
        //wyszukiwarka
        $this->forward('portal','getSearchAllForm');
    }

    public function executePokaz(sfWebRequest $request) {
        $this->upload_dir = sfContext::getInstance()->getRequest()->getRelativeUrlRoot().'/uploads/ekartki/';
        $kod = $request->getParameter('kod');
        $c = new Criteria();
        $c->add(EkartkiPeer::KOD, $kod);
        $this->ecard = EkartkiPeer::doSelectOne($c);
        if($this->ecard) {
            if($this->ecard->getObejrzana() == null) 
            {
                // tworzenie wiadomosci
                $temat = 'Twój znajomy odebrał właśnie skomponowaną przez Ciebie e-Kartkę!';
                $mailer = new ciMailer($temat, $this->ecard->getAdresat());

                // obrazki
                $img_list = array();
                $img_list['link'] = '/images/mailer/link.png';
                $mailer->attachImages($img_list);

                // tresc
                $mailContext = array(
                    'temat'   => $temat,
                    'podpis'  => $this->ecard->getPodpis(),
                    'data_wyslania' => substr($this->ecard->getDataWyslania(),0,10),
                    'kod'     => $this->ecard->getKod(),
                );
                $mailer->attachContent('ekartki/mail_potwierdzenie', ciMailer::PARTIAL, $mailContext);

                // wyslanie
                $mailer->send();                
            }
            $this->obraz = EkartkiObrazyPeer::retrieveByPK($this->ecard->getObraz());
            $this->znaczek = EkartkiZnaczkiPeer::retrieveByPK($this->ecard->getZnaczek());
            $this->styl = EkartkiStylePeer::retrieveByPK($this->ecard->getStyl());
            //zaznacz jako obejrzana i przenies do archiwum
            $this->ecard->setObejrzana(date("Y-m-d H:i:s"));
            $this->ecard->setStatus(2);
            $this->ecard->save();
        }
    }

    public function executeCron(sfWebRequest $request) {
        if($_SERVER['SERVER_ADDR'] != $_SERVER['REMOTE_ADDR'])return sfView::NONE;

        $c = new Criteria();
        $c->add(EkartkiPeer::DATA_WYSLANIA, date("Y-m-d").' 00:00:00');
        $this->ecard = EkartkiPeer::doSelect($c);
        //wyslanie maila
        $temat = 'Twój znajomy skomponował dla Ciebie e-kartkę!';
        $fire->log(count($this->ecard), 'kartki');
        foreach($this->ecard as $ekartka) 
        {
            // tworzenie wiadomosci
            $temat = 'Twój znajomy skomponował dla Ciebie e-kartkę!';
            $mailer = new ciMailer($temat, $ekartka->getAdresat());

            // obrazki
            $img_list = array();
            $img_list['link'] = '/images/mailer/link.png';
            $mailer->attachImages($img_list);

            // tresc
            $mailContext = array(
                'temat' => $temat,
                'podpis' => $ekartka->getPodpis(),
                'kod' => $ekartka->getKod(),
            );
            $mailer->attachContent('ekartki/mail', ciMailer::PARTIAL, $mailContext);

            // wyslanie
            $mailer->send();
        }
        return sfView::NONE;
    }
}
