<?php

/**
 * Ekartki form.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfPropelFormTemplate.php 10377 2008-07-21 07:10:32Z dwhittle $
 */
class EkartkiForm extends BaseEkartkiForm {

    public function configure() {        
        $this->setWidgets(array(
            'id'            => new sfWidgetFormInputHidden(),
            'created_at'    => new sfWidgetFormDateTime(),
            'updated_at'    => new sfWidgetFormDateTime(),
            'adresat'       => new sfWidgetFormInput(),
            'nadawca'       => new sfWidgetFormInput(),
            'tresc'         => new sfWidgetFormTextarea(),
            'podpis'        => new sfWidgetFormInput(),
            'data_wyslania' => new sfWidgetFormInputDateRich(array(), array('maxlength' => 10)),
            'status'        => new sfWidgetFormInput(),
            'obejrzana'     => new sfWidgetFormInputCheckbox(),
            'obraz'         => new sfWidgetFormInputHidden(),
            'znaczek'       => new sfWidgetFormInputHidden(),
            'styl'          => new sfWidgetFormInputHidden(),
            'kod'           => new sfWidgetFormInputHidden(),
        ));

        $this->setValidators(array(
            'id'            => new sfValidatorPropelChoice(array('model' => 'Ekartki', 'column' => 'id', 'required' => false)),
            'created_at'    => new sfValidatorDateTime(array('required' => false)),
            'updated_at'    => new sfValidatorDateTime(array('required' => false)),
            'adresat'       => new sfValidatorEmail(
                array('required' => true),
                array(
                    'invalid' => 'Niepoprawny adres e-mail!',
                    'required' => 'Pole wymagane!'
                )
            ),
            'nadawca'       => new sfValidatorEmail(
                array('required' => true),
                array(
                    'invalid' => 'Niepoprawny adres e-mail!',
                    'required' => 'Pole wymagane!'
                )
            ),
            'tresc'         => new sfValidatorString(),
            'podpis'        => new sfValidatorString(array('max_length' => 255)),
            'data_wyslania' => new sfValidatorDate(array('required' => false, 'min' => strtotime(date("Y-m-d"))), array('invalid' => 'Podaj datę nie wcześniejszą niż dzisiejsza.', 'min' => 'Podaj datę nie wcześniejszą niż dzisiejsza.')),
            'status'        => new sfValidatorInteger(array('required' => false)),
            'obejrzana'     => new sfValidatorBoolean(array('required' => false)),
            'obraz'         => new sfValidatorString(array('max_length' => 255, 'required' => false)),
            'znaczek'       => new sfValidatorString(array('max_length' => 255, 'required' => false)),
            'styl'          => new sfValidatorString(array('max_length' => 255, 'required' => false)),
            'kod'           => new sfValidatorString(array('max_length' => 30, 'required' => false)),
        ));

        $this->widgetSchema->setLabels(array(
            'tresc' => 'Treść',
            'data_wyslania' => 'Data wysłania',
        ));

        $this->widgetSchema->setHelps(array(
            'nadawca'   => 'Adres email nadawcy',
            'adresat'   => 'Adres email adresata',
        ));

        $this->widgetSchema->setNameFormat('ekartki[%s]');

        $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

        $this->getWidgetSchema()->getFormFormatter()->setHelpFormat('%help%');
    }

}
