<?php

/**
 * EkartkiObrazy form.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfPropelFormTemplate.php 10377 2008-07-21 07:10:32Z dwhittle $
 */
class EkartkiObrazyForm extends BaseEkartkiObrazyForm {

    public function configure() {
        $this->setWidgets(array(
            'id' => new sfWidgetFormInputHidden(),
            'created_at' => new sfWidgetFormInputHidden(),
            'updated_at' => new sfWidgetFormInputHidden(),
            'uzytkownik_id' => new sfWidgetFormInputHidden(),
            'grupa_id' => new sfWidgetFormPropelChoice(array('model' => 'EkartkiGrupy', 'add_empty' => true), array('class' => 'required')),
            'publikacja_od' => new sfWidgetFormInputDateTimeRich(),
            'publikacja_do' => new sfWidgetFormInputDateTimeRich(),
            'nazwa' => new sfWidgetFormInput(array(), array('class' => 'required')),
            'plik' => new sfWidgetFormInputFileEditable(array(
                'file_src' => sfContext::getInstance()->getRequest()->getRelativeUrlRoot() . '/uploads/ekartki/obrazy/' . $this->getObject()->getId() . '/thumb_' . $this->getObject()->getPlik(),
                'is_image' => true,
                'edit_mode' => !$this->isNew() && $this->getObject()->getPlik() != '',
                'delete_label' => 'usuń zdjęcie',
                'with_delete' => false,
                'template' => '%file%<br />%input%<br />%delete% %delete_label%'
            ), array('class' => 'required')),
            'status' => new sfWidgetFormInputHidden(),
        ));

        $this->setValidators(array(
            'id' => new sfValidatorPropelChoice(array('model' => 'EkartkiObrazy', 'column' => 'id', 'required' => false)),
            'created_at' => new sfValidatorDateTime(array('required' => false)),
            'updated_at' => new sfValidatorDateTime(array('required' => false)),
            'uzytkownik_id' => new sfValidatorPropelChoice(array('model' => 'sfGuardUser', 'column' => 'id', 'required' => false)),
            'grupa_id' => new sfValidatorPropelChoice(array('model' => 'EkartkiGrupy', 'column' => 'id', 'required' => true)),
            'publikacja_od' => new sfValidatorDateTime(array('required' => false)),
            'publikacja_do' => new sfValidatorDateTime(array('required' => false)),
            'nazwa' => new sfValidatorString(array('max_length' => 255)),
            'plik' => new ciValidatorFile(array('required' => true, 'mime_types' => 'web_images', 'max_size' => 3145728), array('max_size' => 'Maksymalna dozwolona wielkość obrazka to 3MB!', 'mime_types' => 'Nieprawidłowy typ pliku!')),
            'status' => new sfValidatorInteger(array('required' => false)),
        ));

        if (!$this->isNew()) {
            $this->validatorSchema['plik'] = new ciValidatorFile(array('required' => false, 'mime_types' => 'web_images', 'max_size' => 3145728), array('max_size' => 'Maksymalna dozwolona wielkość obrazka to 3MB!', 'mime_types' => 'Nieprawidłowy typ pliku!'));
        }

        $this->widgetSchema->setLabels(array(
            'grupa_id' => 'Grupa',
        ));

        $this->widgetSchema->setHelps(array(
            'plik' => 'Rozmiar 300x200px lub propocjonalny',
            'grupa_id' => 'Wybierz grupę, do której należy obraz',
            'publikacja_od' => 'Podaj termin, od którego obraz będzie dostępny dla Internautów',
            'publikacja_do' => 'Podaj termin, do którego obraz będzie dostępny dla Internautów',
            'nazwa' => 'Nazwa obrazu',
        ));

        $this->widgetSchema->setNameFormat('ekartki_obrazy[%s]');

        $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

        $this->getWidgetSchema()->getFormFormatter()->setHelpFormat('%help%');
    }

}
