<?php

class EkartkiSetupForm extends sfForm {

    protected static $subjects = array('OFF' => 'Brak', 'SSL' => 'SSL', 'TLS' => 'TLS');

    function configure() {
        $this->setWidgets(array(
            'addr' => new sfWidgetFormInput(),
            'port' => new sfWidgetFormInput(),
            'protokol' => new sfWidgetFormSelect(array('choices' => self::$subjects)),
            'user' => new sfWidgetFormInput(),
            'pass' => new sfWidgetFormInput(array('type' => 'password')),
        ));

        $this->widgetSchema->setLabels(array(
            'addr' => 'Adres serwera',
            'port' => 'Port serwera',
            'protokol' => 'Protokół bezpieczeństwa',
            'user' => 'Nazwa użytkownika',
            'pass' => 'Hasło'
        ));

        $this->widgetSchema->setHelps(array(
            'addr' => 'Adres serwera pocztowego',
            'port' => 'Port do połączenia z serwerem pocztowym',
            'protokol' => 'Wybierz protokół zabezpieczeń zgodny z Twoim serwerem pocztowym',
            'user' => 'Nazwa użytkownika do połączenia z serwerem pocztowym',
            'pass' => 'Hasło do połączenia z serwerem pocztowym',
        ));

        $this->setValidators(array(
            'addr' => new sfValidatorString(array('required' => false)),
            'port' => new sfValidatorString(array('required' => false)),
            'protokol' => new sfValidatorChoice(array('choices' => array_keys(self::$subjects)),array('required' => false)),
            'user' => new sfValidatorString(array('required' => false)),
            'pass' => new sfValidatorString(array('required' => false)),
        ));

        $this->widgetSchema->setNameFormat('ecard_conf[%s]');
        $this->getWidgetSchema()->getFormFormatter()->setHelpFormat('%help%');
    }

}