<?php


abstract class BaseEkartki extends BaseObject  implements Persistent {


  const PEER = 'EkartkiPeer';

	
	protected static $peer;

	
	protected $id;

	
	protected $created_at;

	
	protected $updated_at;

	
	protected $adresat;

	
	protected $nadawca;

	
	protected $tresc;

	
	protected $podpis;

	
	protected $data_wyslania;

	
	protected $status;

	
	protected $obejrzana;

	
	protected $obraz;

	
	protected $znaczek;

	
	protected $styl;

	
	protected $kod;

	
	protected $alreadyInSave = false;

	
	protected $alreadyInValidation = false;

	
	public function __construct()
	{
		parent::__construct();
		$this->applyDefaultValues();
	}

	
	public function applyDefaultValues()
	{
		$this->status = 0;
	}

	
	public function getId()
	{
		return $this->id;
	}

	
	public function getCreatedAt($format = 'Y-m-d H:i:s')
	{
		if ($this->created_at === null) {
			return null;
		}


		if ($this->created_at === '0000-00-00 00:00:00') {
									return null;
		} else {
			try {
				$dt = new DateTime($this->created_at);
			} catch (Exception $x) {
				throw new PropelException("Internally stored date/time/timestamp value could not be converted to DateTime: " . var_export($this->created_at, true), $x);
			}
		}

		if ($format === null) {
						return $dt;
		} elseif (strpos($format, '%') !== false) {
			return strftime($format, $dt->format('U'));
		} else {
			return $dt->format($format);
		}
	}

	
	public function getUpdatedAt($format = 'Y-m-d H:i:s')
	{
		if ($this->updated_at === null) {
			return null;
		}


		if ($this->updated_at === '0000-00-00 00:00:00') {
									return null;
		} else {
			try {
				$dt = new DateTime($this->updated_at);
			} catch (Exception $x) {
				throw new PropelException("Internally stored date/time/timestamp value could not be converted to DateTime: " . var_export($this->updated_at, true), $x);
			}
		}

		if ($format === null) {
						return $dt;
		} elseif (strpos($format, '%') !== false) {
			return strftime($format, $dt->format('U'));
		} else {
			return $dt->format($format);
		}
	}

	
	public function getAdresat()
	{
		return $this->adresat;
	}

	
	public function getNadawca()
	{
		return $this->nadawca;
	}

	
	public function getTresc()
	{
		return $this->tresc;
	}

	
	public function getPodpis()
	{
		return $this->podpis;
	}

	
	public function getDataWyslania($format = 'Y-m-d H:i:s')
	{
		if ($this->data_wyslania === null) {
			return null;
		}


		if ($this->data_wyslania === '0000-00-00 00:00:00') {
									return null;
		} else {
			try {
				$dt = new DateTime($this->data_wyslania);
			} catch (Exception $x) {
				throw new PropelException("Internally stored date/time/timestamp value could not be converted to DateTime: " . var_export($this->data_wyslania, true), $x);
			}
		}

		if ($format === null) {
						return $dt;
		} elseif (strpos($format, '%') !== false) {
			return strftime($format, $dt->format('U'));
		} else {
			return $dt->format($format);
		}
	}

	
	public function getStatus()
	{
		return $this->status;
	}

	
	public function getObejrzana($format = 'Y-m-d H:i:s')
	{
		if ($this->obejrzana === null) {
			return null;
		}


		if ($this->obejrzana === '0000-00-00 00:00:00') {
									return null;
		} else {
			try {
				$dt = new DateTime($this->obejrzana);
			} catch (Exception $x) {
				throw new PropelException("Internally stored date/time/timestamp value could not be converted to DateTime: " . var_export($this->obejrzana, true), $x);
			}
		}

		if ($format === null) {
						return $dt;
		} elseif (strpos($format, '%') !== false) {
			return strftime($format, $dt->format('U'));
		} else {
			return $dt->format($format);
		}
	}

	
	public function getObraz()
	{
		return $this->obraz;
	}

	
	public function getZnaczek()
	{
		return $this->znaczek;
	}

	
	public function getStyl()
	{
		return $this->styl;
	}

	
	public function getKod()
	{
		return $this->kod;
	}

	
	public function setId($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->id !== $v) {
			$this->id = $v;
			$this->modifiedColumns[] = EkartkiPeer::ID;
		}

		return $this;
	} 
	
	public function setCreatedAt($v)
	{
						if ($v === null || $v === '') {
			$dt = null;
		} elseif ($v instanceof DateTime) {
			$dt = $v;
		} else {
									try {
				if (is_numeric($v)) { 					$dt = new DateTime('@'.$v, new DateTimeZone('UTC'));
															$dt->setTimeZone(new DateTimeZone(date_default_timezone_get()));
				} else {
					$dt = new DateTime($v);
				}
			} catch (Exception $x) {
				throw new PropelException('Error parsing date/time value: ' . var_export($v, true), $x);
			}
		}

		if ( $this->created_at !== null || $dt !== null ) {
			
			$currNorm = ($this->created_at !== null && $tmpDt = new DateTime($this->created_at)) ? $tmpDt->format('Y-m-d H:i:s') : null;
			$newNorm = ($dt !== null) ? $dt->format('Y-m-d H:i:s') : null;

			if ( ($currNorm !== $newNorm) 					)
			{
				$this->created_at = ($dt ? $dt->format('Y-m-d H:i:s') : null);
				$this->modifiedColumns[] = EkartkiPeer::CREATED_AT;
			}
		} 
		return $this;
	} 
	
	public function setUpdatedAt($v)
	{
						if ($v === null || $v === '') {
			$dt = null;
		} elseif ($v instanceof DateTime) {
			$dt = $v;
		} else {
									try {
				if (is_numeric($v)) { 					$dt = new DateTime('@'.$v, new DateTimeZone('UTC'));
															$dt->setTimeZone(new DateTimeZone(date_default_timezone_get()));
				} else {
					$dt = new DateTime($v);
				}
			} catch (Exception $x) {
				throw new PropelException('Error parsing date/time value: ' . var_export($v, true), $x);
			}
		}

		if ( $this->updated_at !== null || $dt !== null ) {
			
			$currNorm = ($this->updated_at !== null && $tmpDt = new DateTime($this->updated_at)) ? $tmpDt->format('Y-m-d H:i:s') : null;
			$newNorm = ($dt !== null) ? $dt->format('Y-m-d H:i:s') : null;

			if ( ($currNorm !== $newNorm) 					)
			{
				$this->updated_at = ($dt ? $dt->format('Y-m-d H:i:s') : null);
				$this->modifiedColumns[] = EkartkiPeer::UPDATED_AT;
			}
		} 
		return $this;
	} 
	
	public function setAdresat($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->adresat !== $v) {
			$this->adresat = $v;
			$this->modifiedColumns[] = EkartkiPeer::ADRESAT;
		}

		return $this;
	} 
	
	public function setNadawca($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->nadawca !== $v) {
			$this->nadawca = $v;
			$this->modifiedColumns[] = EkartkiPeer::NADAWCA;
		}

		return $this;
	} 
	
	public function setTresc($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->tresc !== $v) {
			$this->tresc = $v;
			$this->modifiedColumns[] = EkartkiPeer::TRESC;
		}

		return $this;
	} 
	
	public function setPodpis($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->podpis !== $v) {
			$this->podpis = $v;
			$this->modifiedColumns[] = EkartkiPeer::PODPIS;
		}

		return $this;
	} 
	
	public function setDataWyslania($v)
	{
						if ($v === null || $v === '') {
			$dt = null;
		} elseif ($v instanceof DateTime) {
			$dt = $v;
		} else {
									try {
				if (is_numeric($v)) { 					$dt = new DateTime('@'.$v, new DateTimeZone('UTC'));
															$dt->setTimeZone(new DateTimeZone(date_default_timezone_get()));
				} else {
					$dt = new DateTime($v);
				}
			} catch (Exception $x) {
				throw new PropelException('Error parsing date/time value: ' . var_export($v, true), $x);
			}
		}

		if ( $this->data_wyslania !== null || $dt !== null ) {
			
			$currNorm = ($this->data_wyslania !== null && $tmpDt = new DateTime($this->data_wyslania)) ? $tmpDt->format('Y-m-d H:i:s') : null;
			$newNorm = ($dt !== null) ? $dt->format('Y-m-d H:i:s') : null;

			if ( ($currNorm !== $newNorm) 					)
			{
				$this->data_wyslania = ($dt ? $dt->format('Y-m-d H:i:s') : null);
				$this->modifiedColumns[] = EkartkiPeer::DATA_WYSLANIA;
			}
		} 
		return $this;
	} 
	
	public function setStatus($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->status !== $v || $v === 0) {
			$this->status = $v;
			$this->modifiedColumns[] = EkartkiPeer::STATUS;
		}

		return $this;
	} 
	
	public function setObejrzana($v)
	{
						if ($v === null || $v === '') {
			$dt = null;
		} elseif ($v instanceof DateTime) {
			$dt = $v;
		} else {
									try {
				if (is_numeric($v)) { 					$dt = new DateTime('@'.$v, new DateTimeZone('UTC'));
															$dt->setTimeZone(new DateTimeZone(date_default_timezone_get()));
				} else {
					$dt = new DateTime($v);
				}
			} catch (Exception $x) {
				throw new PropelException('Error parsing date/time value: ' . var_export($v, true), $x);
			}
		}

		if ( $this->obejrzana !== null || $dt !== null ) {
			
			$currNorm = ($this->obejrzana !== null && $tmpDt = new DateTime($this->obejrzana)) ? $tmpDt->format('Y-m-d H:i:s') : null;
			$newNorm = ($dt !== null) ? $dt->format('Y-m-d H:i:s') : null;

			if ( ($currNorm !== $newNorm) 					)
			{
				$this->obejrzana = ($dt ? $dt->format('Y-m-d H:i:s') : null);
				$this->modifiedColumns[] = EkartkiPeer::OBEJRZANA;
			}
		} 
		return $this;
	} 
	
	public function setObraz($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->obraz !== $v) {
			$this->obraz = $v;
			$this->modifiedColumns[] = EkartkiPeer::OBRAZ;
		}

		return $this;
	} 
	
	public function setZnaczek($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->znaczek !== $v) {
			$this->znaczek = $v;
			$this->modifiedColumns[] = EkartkiPeer::ZNACZEK;
		}

		return $this;
	} 
	
	public function setStyl($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->styl !== $v) {
			$this->styl = $v;
			$this->modifiedColumns[] = EkartkiPeer::STYL;
		}

		return $this;
	} 
	
	public function setKod($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->kod !== $v) {
			$this->kod = $v;
			$this->modifiedColumns[] = EkartkiPeer::KOD;
		}

		return $this;
	} 
	
	public function hasOnlyDefaultValues()
	{
						if (array_diff($this->modifiedColumns, array(EkartkiPeer::STATUS))) {
				return false;
			}

			if ($this->status !== 0) {
				return false;
			}

				return true;
	} 
	
	public function hydrate($row, $startcol = 0, $rehydrate = false)
	{
		try {

			$this->id = ($row[$startcol + 0] !== null) ? (int) $row[$startcol + 0] : null;
			$this->created_at = ($row[$startcol + 1] !== null) ? (string) $row[$startcol + 1] : null;
			$this->updated_at = ($row[$startcol + 2] !== null) ? (string) $row[$startcol + 2] : null;
			$this->adresat = ($row[$startcol + 3] !== null) ? (string) $row[$startcol + 3] : null;
			$this->nadawca = ($row[$startcol + 4] !== null) ? (string) $row[$startcol + 4] : null;
			$this->tresc = ($row[$startcol + 5] !== null) ? (string) $row[$startcol + 5] : null;
			$this->podpis = ($row[$startcol + 6] !== null) ? (string) $row[$startcol + 6] : null;
			$this->data_wyslania = ($row[$startcol + 7] !== null) ? (string) $row[$startcol + 7] : null;
			$this->status = ($row[$startcol + 8] !== null) ? (int) $row[$startcol + 8] : null;
			$this->obejrzana = ($row[$startcol + 9] !== null) ? (string) $row[$startcol + 9] : null;
			$this->obraz = ($row[$startcol + 10] !== null) ? (string) $row[$startcol + 10] : null;
			$this->znaczek = ($row[$startcol + 11] !== null) ? (string) $row[$startcol + 11] : null;
			$this->styl = ($row[$startcol + 12] !== null) ? (string) $row[$startcol + 12] : null;
			$this->kod = ($row[$startcol + 13] !== null) ? (string) $row[$startcol + 13] : null;
			$this->resetModified();

			$this->setNew(false);

			if ($rehydrate) {
				$this->ensureConsistency();
			}

						return $startcol + 14; 
		} catch (Exception $e) {
			throw new PropelException("Error populating Ekartki object", $e);
		}
	}

	
	public function ensureConsistency()
	{

	} 
	
	public function reload($deep = false, PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("Cannot reload a deleted object.");
		}

		if ($this->isNew()) {
			throw new PropelException("Cannot reload an unsaved object.");
		}

		if ($con === null) {
			$con = Propel::getConnection(EkartkiPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				
		$stmt = EkartkiPeer::doSelectStmt($this->buildPkeyCriteria(), $con);
		$row = $stmt->fetch(PDO::FETCH_NUM);
		$stmt->closeCursor();
		if (!$row) {
			throw new PropelException('Cannot find matching row in the database to reload object values.');
		}
		$this->hydrate($row, 0, true); 
		if ($deep) {  
		} 	}

	
	public function delete(PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("This object has already been deleted.");
		}

		if ($con === null) {
			$con = Propel::getConnection(EkartkiPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		
		$con->beginTransaction();
		try {
			EkartkiPeer::doDelete($this, $con);
			$this->setDeleted(true);
			$con->commit();
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public function save(PropelPDO $con = null)
	{
    if ($this->isNew() && !$this->isColumnModified(EkartkiPeer::CREATED_AT))
    {
      $this->setCreatedAt(time());
    }

    if ($this->isModified() && !$this->isColumnModified(EkartkiPeer::UPDATED_AT))
    {
      $this->setUpdatedAt(time());
    }

		if ($this->isDeleted()) {
			throw new PropelException("You cannot save an object that has been deleted.");
		}

		if ($con === null) {
			$con = Propel::getConnection(EkartkiPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		
		$con->beginTransaction();
		try {
			$affectedRows = $this->doSave($con);
			$con->commit();
			EkartkiPeer::addInstanceToPool($this);
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	protected function doSave(PropelPDO $con)
	{
		$affectedRows = 0; 		if (!$this->alreadyInSave) {
			$this->alreadyInSave = true;

			if ($this->isNew() ) {
				$this->modifiedColumns[] = EkartkiPeer::ID;
			}

						if ($this->isModified()) {
				if ($this->isNew()) {
					$pk = EkartkiPeer::doInsert($this, $con);
					$affectedRows += 1; 										 										 
					$this->setId($pk);  
					$this->setNew(false);
				} else {
					$affectedRows += EkartkiPeer::doUpdate($this, $con);
				}

				$this->resetModified(); 			}

			$this->alreadyInSave = false;

		}
		return $affectedRows;
	} 
	
	protected $validationFailures = array();

	
	public function getValidationFailures()
	{
		return $this->validationFailures;
	}

	
	public function validate($columns = null)
	{
		$res = $this->doValidate($columns);
		if ($res === true) {
			$this->validationFailures = array();
			return true;
		} else {
			$this->validationFailures = $res;
			return false;
		}
	}

	
	protected function doValidate($columns = null)
	{
		if (!$this->alreadyInValidation) {
			$this->alreadyInValidation = true;
			$retval = null;

			$failureMap = array();


			if (($retval = EkartkiPeer::doValidate($this, $columns)) !== true) {
				$failureMap = array_merge($failureMap, $retval);
			}



			$this->alreadyInValidation = false;
		}

		return (!empty($failureMap) ? $failureMap : true);
	}

	
	public function getByName($name, $type = BasePeer::TYPE_PHPNAME)
	{
		$pos = EkartkiPeer::translateFieldName($name, $type, BasePeer::TYPE_NUM);
		$field = $this->getByPosition($pos);
		return $field;
	}

	
	public function getByPosition($pos)
	{
		switch($pos) {
			case 0:
				return $this->getId();
				break;
			case 1:
				return $this->getCreatedAt();
				break;
			case 2:
				return $this->getUpdatedAt();
				break;
			case 3:
				return $this->getAdresat();
				break;
			case 4:
				return $this->getNadawca();
				break;
			case 5:
				return $this->getTresc();
				break;
			case 6:
				return $this->getPodpis();
				break;
			case 7:
				return $this->getDataWyslania();
				break;
			case 8:
				return $this->getStatus();
				break;
			case 9:
				return $this->getObejrzana();
				break;
			case 10:
				return $this->getObraz();
				break;
			case 11:
				return $this->getZnaczek();
				break;
			case 12:
				return $this->getStyl();
				break;
			case 13:
				return $this->getKod();
				break;
			default:
				return null;
				break;
		} 	}

	
	public function toArray($keyType = BasePeer::TYPE_PHPNAME, $includeLazyLoadColumns = true)
	{
		$keys = EkartkiPeer::getFieldNames($keyType);
		$result = array(
			$keys[0] => $this->getId(),
			$keys[1] => $this->getCreatedAt(),
			$keys[2] => $this->getUpdatedAt(),
			$keys[3] => $this->getAdresat(),
			$keys[4] => $this->getNadawca(),
			$keys[5] => $this->getTresc(),
			$keys[6] => $this->getPodpis(),
			$keys[7] => $this->getDataWyslania(),
			$keys[8] => $this->getStatus(),
			$keys[9] => $this->getObejrzana(),
			$keys[10] => $this->getObraz(),
			$keys[11] => $this->getZnaczek(),
			$keys[12] => $this->getStyl(),
			$keys[13] => $this->getKod(),
		);
		return $result;
	}

	
	public function setByName($name, $value, $type = BasePeer::TYPE_PHPNAME)
	{
		$pos = EkartkiPeer::translateFieldName($name, $type, BasePeer::TYPE_NUM);
		return $this->setByPosition($pos, $value);
	}

	
	public function setByPosition($pos, $value)
	{
		switch($pos) {
			case 0:
				$this->setId($value);
				break;
			case 1:
				$this->setCreatedAt($value);
				break;
			case 2:
				$this->setUpdatedAt($value);
				break;
			case 3:
				$this->setAdresat($value);
				break;
			case 4:
				$this->setNadawca($value);
				break;
			case 5:
				$this->setTresc($value);
				break;
			case 6:
				$this->setPodpis($value);
				break;
			case 7:
				$this->setDataWyslania($value);
				break;
			case 8:
				$this->setStatus($value);
				break;
			case 9:
				$this->setObejrzana($value);
				break;
			case 10:
				$this->setObraz($value);
				break;
			case 11:
				$this->setZnaczek($value);
				break;
			case 12:
				$this->setStyl($value);
				break;
			case 13:
				$this->setKod($value);
				break;
		} 	}

	
	public function fromArray($arr, $keyType = BasePeer::TYPE_PHPNAME)
	{
		$keys = EkartkiPeer::getFieldNames($keyType);

		if (array_key_exists($keys[0], $arr)) $this->setId($arr[$keys[0]]);
		if (array_key_exists($keys[1], $arr)) $this->setCreatedAt($arr[$keys[1]]);
		if (array_key_exists($keys[2], $arr)) $this->setUpdatedAt($arr[$keys[2]]);
		if (array_key_exists($keys[3], $arr)) $this->setAdresat($arr[$keys[3]]);
		if (array_key_exists($keys[4], $arr)) $this->setNadawca($arr[$keys[4]]);
		if (array_key_exists($keys[5], $arr)) $this->setTresc($arr[$keys[5]]);
		if (array_key_exists($keys[6], $arr)) $this->setPodpis($arr[$keys[6]]);
		if (array_key_exists($keys[7], $arr)) $this->setDataWyslania($arr[$keys[7]]);
		if (array_key_exists($keys[8], $arr)) $this->setStatus($arr[$keys[8]]);
		if (array_key_exists($keys[9], $arr)) $this->setObejrzana($arr[$keys[9]]);
		if (array_key_exists($keys[10], $arr)) $this->setObraz($arr[$keys[10]]);
		if (array_key_exists($keys[11], $arr)) $this->setZnaczek($arr[$keys[11]]);
		if (array_key_exists($keys[12], $arr)) $this->setStyl($arr[$keys[12]]);
		if (array_key_exists($keys[13], $arr)) $this->setKod($arr[$keys[13]]);
	}

	
	public function buildCriteria()
	{
		$criteria = new Criteria(EkartkiPeer::DATABASE_NAME);

		if ($this->isColumnModified(EkartkiPeer::ID)) $criteria->add(EkartkiPeer::ID, $this->id);
		if ($this->isColumnModified(EkartkiPeer::CREATED_AT)) $criteria->add(EkartkiPeer::CREATED_AT, $this->created_at);
		if ($this->isColumnModified(EkartkiPeer::UPDATED_AT)) $criteria->add(EkartkiPeer::UPDATED_AT, $this->updated_at);
		if ($this->isColumnModified(EkartkiPeer::ADRESAT)) $criteria->add(EkartkiPeer::ADRESAT, $this->adresat);
		if ($this->isColumnModified(EkartkiPeer::NADAWCA)) $criteria->add(EkartkiPeer::NADAWCA, $this->nadawca);
		if ($this->isColumnModified(EkartkiPeer::TRESC)) $criteria->add(EkartkiPeer::TRESC, $this->tresc);
		if ($this->isColumnModified(EkartkiPeer::PODPIS)) $criteria->add(EkartkiPeer::PODPIS, $this->podpis);
		if ($this->isColumnModified(EkartkiPeer::DATA_WYSLANIA)) $criteria->add(EkartkiPeer::DATA_WYSLANIA, $this->data_wyslania);
		if ($this->isColumnModified(EkartkiPeer::STATUS)) $criteria->add(EkartkiPeer::STATUS, $this->status);
		if ($this->isColumnModified(EkartkiPeer::OBEJRZANA)) $criteria->add(EkartkiPeer::OBEJRZANA, $this->obejrzana);
		if ($this->isColumnModified(EkartkiPeer::OBRAZ)) $criteria->add(EkartkiPeer::OBRAZ, $this->obraz);
		if ($this->isColumnModified(EkartkiPeer::ZNACZEK)) $criteria->add(EkartkiPeer::ZNACZEK, $this->znaczek);
		if ($this->isColumnModified(EkartkiPeer::STYL)) $criteria->add(EkartkiPeer::STYL, $this->styl);
		if ($this->isColumnModified(EkartkiPeer::KOD)) $criteria->add(EkartkiPeer::KOD, $this->kod);

		return $criteria;
	}

	
	public function buildPkeyCriteria()
	{
		$criteria = new Criteria(EkartkiPeer::DATABASE_NAME);

		$criteria->add(EkartkiPeer::ID, $this->id);

		return $criteria;
	}

	
	public function getPrimaryKey()
	{
		return $this->getId();
	}

	
	public function setPrimaryKey($key)
	{
		$this->setId($key);
	}

	
	public function copyInto($copyObj, $deepCopy = false)
	{

		$copyObj->setCreatedAt($this->created_at);

		$copyObj->setUpdatedAt($this->updated_at);

		$copyObj->setAdresat($this->adresat);

		$copyObj->setNadawca($this->nadawca);

		$copyObj->setTresc($this->tresc);

		$copyObj->setPodpis($this->podpis);

		$copyObj->setDataWyslania($this->data_wyslania);

		$copyObj->setStatus($this->status);

		$copyObj->setObejrzana($this->obejrzana);

		$copyObj->setObraz($this->obraz);

		$copyObj->setZnaczek($this->znaczek);

		$copyObj->setStyl($this->styl);

		$copyObj->setKod($this->kod);


		$copyObj->setNew(true);

		$copyObj->setId(NULL); 
	}

	
	public function copy($deepCopy = false)
	{
				$clazz = get_class($this);
		$copyObj = new $clazz();
		$this->copyInto($copyObj, $deepCopy);
		return $copyObj;
	}

	
	public function getPeer()
	{
		if (self::$peer === null) {
			self::$peer = new EkartkiPeer();
		}
		return self::$peer;
	}

	
	public function clearAllReferences($deep = false)
	{
		if ($deep) {
		} 
	}

} 