<?php


abstract class BaseEkartkiGrupy extends BaseObject  implements Persistent {


  const PEER = 'EkartkiGrupyPeer';

	
	protected static $peer;

	
	protected $id;

	
	protected $created_at;

	
	protected $updated_at;

	
	protected $nazwa;

	
	protected $publikacja_od;

	
	protected $publikacja_do;

	
	protected $collEkartkiObrazys;

	
	private $lastEkartkiObrazyCriteria = null;

	
	protected $alreadyInSave = false;

	
	protected $alreadyInValidation = false;

	
	public function __construct()
	{
		parent::__construct();
		$this->applyDefaultValues();
	}

	
	public function applyDefaultValues()
	{
	}

	
	public function getId()
	{
		return $this->id;
	}

	
	public function getCreatedAt($format = 'Y-m-d H:i:s')
	{
		if ($this->created_at === null) {
			return null;
		}


		if ($this->created_at === '0000-00-00 00:00:00') {
									return null;
		} else {
			try {
				$dt = new DateTime($this->created_at);
			} catch (Exception $x) {
				throw new PropelException("Internally stored date/time/timestamp value could not be converted to DateTime: " . var_export($this->created_at, true), $x);
			}
		}

		if ($format === null) {
						return $dt;
		} elseif (strpos($format, '%') !== false) {
			return strftime($format, $dt->format('U'));
		} else {
			return $dt->format($format);
		}
	}

	
	public function getUpdatedAt($format = 'Y-m-d H:i:s')
	{
		if ($this->updated_at === null) {
			return null;
		}


		if ($this->updated_at === '0000-00-00 00:00:00') {
									return null;
		} else {
			try {
				$dt = new DateTime($this->updated_at);
			} catch (Exception $x) {
				throw new PropelException("Internally stored date/time/timestamp value could not be converted to DateTime: " . var_export($this->updated_at, true), $x);
			}
		}

		if ($format === null) {
						return $dt;
		} elseif (strpos($format, '%') !== false) {
			return strftime($format, $dt->format('U'));
		} else {
			return $dt->format($format);
		}
	}

	
	public function getNazwa()
	{
		return $this->nazwa;
	}

	
	public function getPublikacjaOd($format = 'Y-m-d H:i:s')
	{
		if ($this->publikacja_od === null) {
			return null;
		}


		if ($this->publikacja_od === '0000-00-00 00:00:00') {
									return null;
		} else {
			try {
				$dt = new DateTime($this->publikacja_od);
			} catch (Exception $x) {
				throw new PropelException("Internally stored date/time/timestamp value could not be converted to DateTime: " . var_export($this->publikacja_od, true), $x);
			}
		}

		if ($format === null) {
						return $dt;
		} elseif (strpos($format, '%') !== false) {
			return strftime($format, $dt->format('U'));
		} else {
			return $dt->format($format);
		}
	}

	
	public function getPublikacjaDo($format = 'Y-m-d H:i:s')
	{
		if ($this->publikacja_do === null) {
			return null;
		}


		if ($this->publikacja_do === '0000-00-00 00:00:00') {
									return null;
		} else {
			try {
				$dt = new DateTime($this->publikacja_do);
			} catch (Exception $x) {
				throw new PropelException("Internally stored date/time/timestamp value could not be converted to DateTime: " . var_export($this->publikacja_do, true), $x);
			}
		}

		if ($format === null) {
						return $dt;
		} elseif (strpos($format, '%') !== false) {
			return strftime($format, $dt->format('U'));
		} else {
			return $dt->format($format);
		}
	}

	
	public function setId($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->id !== $v) {
			$this->id = $v;
			$this->modifiedColumns[] = EkartkiGrupyPeer::ID;
		}

		return $this;
	} 
	
	public function setCreatedAt($v)
	{
						if ($v === null || $v === '') {
			$dt = null;
		} elseif ($v instanceof DateTime) {
			$dt = $v;
		} else {
									try {
				if (is_numeric($v)) { 					$dt = new DateTime('@'.$v, new DateTimeZone('UTC'));
															$dt->setTimeZone(new DateTimeZone(date_default_timezone_get()));
				} else {
					$dt = new DateTime($v);
				}
			} catch (Exception $x) {
				throw new PropelException('Error parsing date/time value: ' . var_export($v, true), $x);
			}
		}

		if ( $this->created_at !== null || $dt !== null ) {
			
			$currNorm = ($this->created_at !== null && $tmpDt = new DateTime($this->created_at)) ? $tmpDt->format('Y-m-d H:i:s') : null;
			$newNorm = ($dt !== null) ? $dt->format('Y-m-d H:i:s') : null;

			if ( ($currNorm !== $newNorm) 					)
			{
				$this->created_at = ($dt ? $dt->format('Y-m-d H:i:s') : null);
				$this->modifiedColumns[] = EkartkiGrupyPeer::CREATED_AT;
			}
		} 
		return $this;
	} 
	
	public function setUpdatedAt($v)
	{
						if ($v === null || $v === '') {
			$dt = null;
		} elseif ($v instanceof DateTime) {
			$dt = $v;
		} else {
									try {
				if (is_numeric($v)) { 					$dt = new DateTime('@'.$v, new DateTimeZone('UTC'));
															$dt->setTimeZone(new DateTimeZone(date_default_timezone_get()));
				} else {
					$dt = new DateTime($v);
				}
			} catch (Exception $x) {
				throw new PropelException('Error parsing date/time value: ' . var_export($v, true), $x);
			}
		}

		if ( $this->updated_at !== null || $dt !== null ) {
			
			$currNorm = ($this->updated_at !== null && $tmpDt = new DateTime($this->updated_at)) ? $tmpDt->format('Y-m-d H:i:s') : null;
			$newNorm = ($dt !== null) ? $dt->format('Y-m-d H:i:s') : null;

			if ( ($currNorm !== $newNorm) 					)
			{
				$this->updated_at = ($dt ? $dt->format('Y-m-d H:i:s') : null);
				$this->modifiedColumns[] = EkartkiGrupyPeer::UPDATED_AT;
			}
		} 
		return $this;
	} 
	
	public function setNazwa($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->nazwa !== $v) {
			$this->nazwa = $v;
			$this->modifiedColumns[] = EkartkiGrupyPeer::NAZWA;
		}

		return $this;
	} 
	
	public function setPublikacjaOd($v)
	{
						if ($v === null || $v === '') {
			$dt = null;
		} elseif ($v instanceof DateTime) {
			$dt = $v;
		} else {
									try {
				if (is_numeric($v)) { 					$dt = new DateTime('@'.$v, new DateTimeZone('UTC'));
															$dt->setTimeZone(new DateTimeZone(date_default_timezone_get()));
				} else {
					$dt = new DateTime($v);
				}
			} catch (Exception $x) {
				throw new PropelException('Error parsing date/time value: ' . var_export($v, true), $x);
			}
		}

		if ( $this->publikacja_od !== null || $dt !== null ) {
			
			$currNorm = ($this->publikacja_od !== null && $tmpDt = new DateTime($this->publikacja_od)) ? $tmpDt->format('Y-m-d H:i:s') : null;
			$newNorm = ($dt !== null) ? $dt->format('Y-m-d H:i:s') : null;

			if ( ($currNorm !== $newNorm) 					)
			{
				$this->publikacja_od = ($dt ? $dt->format('Y-m-d H:i:s') : null);
				$this->modifiedColumns[] = EkartkiGrupyPeer::PUBLIKACJA_OD;
			}
		} 
		return $this;
	} 
	
	public function setPublikacjaDo($v)
	{
						if ($v === null || $v === '') {
			$dt = null;
		} elseif ($v instanceof DateTime) {
			$dt = $v;
		} else {
									try {
				if (is_numeric($v)) { 					$dt = new DateTime('@'.$v, new DateTimeZone('UTC'));
															$dt->setTimeZone(new DateTimeZone(date_default_timezone_get()));
				} else {
					$dt = new DateTime($v);
				}
			} catch (Exception $x) {
				throw new PropelException('Error parsing date/time value: ' . var_export($v, true), $x);
			}
		}

		if ( $this->publikacja_do !== null || $dt !== null ) {
			
			$currNorm = ($this->publikacja_do !== null && $tmpDt = new DateTime($this->publikacja_do)) ? $tmpDt->format('Y-m-d H:i:s') : null;
			$newNorm = ($dt !== null) ? $dt->format('Y-m-d H:i:s') : null;

			if ( ($currNorm !== $newNorm) 					)
			{
				$this->publikacja_do = ($dt ? $dt->format('Y-m-d H:i:s') : null);
				$this->modifiedColumns[] = EkartkiGrupyPeer::PUBLIKACJA_DO;
			}
		} 
		return $this;
	} 
	
	public function hasOnlyDefaultValues()
	{
						if (array_diff($this->modifiedColumns, array())) {
				return false;
			}

				return true;
	} 
	
	public function hydrate($row, $startcol = 0, $rehydrate = false)
	{
		try {

			$this->id = ($row[$startcol + 0] !== null) ? (int) $row[$startcol + 0] : null;
			$this->created_at = ($row[$startcol + 1] !== null) ? (string) $row[$startcol + 1] : null;
			$this->updated_at = ($row[$startcol + 2] !== null) ? (string) $row[$startcol + 2] : null;
			$this->nazwa = ($row[$startcol + 3] !== null) ? (string) $row[$startcol + 3] : null;
			$this->publikacja_od = ($row[$startcol + 4] !== null) ? (string) $row[$startcol + 4] : null;
			$this->publikacja_do = ($row[$startcol + 5] !== null) ? (string) $row[$startcol + 5] : null;
			$this->resetModified();

			$this->setNew(false);

			if ($rehydrate) {
				$this->ensureConsistency();
			}

						return $startcol + 6; 
		} catch (Exception $e) {
			throw new PropelException("Error populating EkartkiGrupy object", $e);
		}
	}

	
	public function ensureConsistency()
	{

	} 
	
	public function reload($deep = false, PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("Cannot reload a deleted object.");
		}

		if ($this->isNew()) {
			throw new PropelException("Cannot reload an unsaved object.");
		}

		if ($con === null) {
			$con = Propel::getConnection(EkartkiGrupyPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				
		$stmt = EkartkiGrupyPeer::doSelectStmt($this->buildPkeyCriteria(), $con);
		$row = $stmt->fetch(PDO::FETCH_NUM);
		$stmt->closeCursor();
		if (!$row) {
			throw new PropelException('Cannot find matching row in the database to reload object values.');
		}
		$this->hydrate($row, 0, true); 
		if ($deep) {  
			$this->collEkartkiObrazys = null;
			$this->lastEkartkiObrazyCriteria = null;

		} 	}

	
	public function delete(PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("This object has already been deleted.");
		}

		if ($con === null) {
			$con = Propel::getConnection(EkartkiGrupyPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		
		$con->beginTransaction();
		try {
			EkartkiGrupyPeer::doDelete($this, $con);
			$this->setDeleted(true);
			$con->commit();
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public function save(PropelPDO $con = null)
	{
    if ($this->isNew() && !$this->isColumnModified(EkartkiGrupyPeer::CREATED_AT))
    {
      $this->setCreatedAt(time());
    }

    if ($this->isModified() && !$this->isColumnModified(EkartkiGrupyPeer::UPDATED_AT))
    {
      $this->setUpdatedAt(time());
    }

		if ($this->isDeleted()) {
			throw new PropelException("You cannot save an object that has been deleted.");
		}

		if ($con === null) {
			$con = Propel::getConnection(EkartkiGrupyPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		
		$con->beginTransaction();
		try {
			$affectedRows = $this->doSave($con);
			$con->commit();
			EkartkiGrupyPeer::addInstanceToPool($this);
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	protected function doSave(PropelPDO $con)
	{
		$affectedRows = 0; 		if (!$this->alreadyInSave) {
			$this->alreadyInSave = true;

			if ($this->isNew() ) {
				$this->modifiedColumns[] = EkartkiGrupyPeer::ID;
			}

						if ($this->isModified()) {
				if ($this->isNew()) {
					$pk = EkartkiGrupyPeer::doInsert($this, $con);
					$affectedRows += 1; 										 										 
					$this->setId($pk);  
					$this->setNew(false);
				} else {
					$affectedRows += EkartkiGrupyPeer::doUpdate($this, $con);
				}

				$this->resetModified(); 			}

			if ($this->collEkartkiObrazys !== null) {
				foreach ($this->collEkartkiObrazys as $referrerFK) {
					if (!$referrerFK->isDeleted()) {
						$affectedRows += $referrerFK->save($con);
					}
				}
			}

			$this->alreadyInSave = false;

		}
		return $affectedRows;
	} 
	
	protected $validationFailures = array();

	
	public function getValidationFailures()
	{
		return $this->validationFailures;
	}

	
	public function validate($columns = null)
	{
		$res = $this->doValidate($columns);
		if ($res === true) {
			$this->validationFailures = array();
			return true;
		} else {
			$this->validationFailures = $res;
			return false;
		}
	}

	
	protected function doValidate($columns = null)
	{
		if (!$this->alreadyInValidation) {
			$this->alreadyInValidation = true;
			$retval = null;

			$failureMap = array();


			if (($retval = EkartkiGrupyPeer::doValidate($this, $columns)) !== true) {
				$failureMap = array_merge($failureMap, $retval);
			}


				if ($this->collEkartkiObrazys !== null) {
					foreach ($this->collEkartkiObrazys as $referrerFK) {
						if (!$referrerFK->validate($columns)) {
							$failureMap = array_merge($failureMap, $referrerFK->getValidationFailures());
						}
					}
				}


			$this->alreadyInValidation = false;
		}

		return (!empty($failureMap) ? $failureMap : true);
	}

	
	public function getByName($name, $type = BasePeer::TYPE_PHPNAME)
	{
		$pos = EkartkiGrupyPeer::translateFieldName($name, $type, BasePeer::TYPE_NUM);
		$field = $this->getByPosition($pos);
		return $field;
	}

	
	public function getByPosition($pos)
	{
		switch($pos) {
			case 0:
				return $this->getId();
				break;
			case 1:
				return $this->getCreatedAt();
				break;
			case 2:
				return $this->getUpdatedAt();
				break;
			case 3:
				return $this->getNazwa();
				break;
			case 4:
				return $this->getPublikacjaOd();
				break;
			case 5:
				return $this->getPublikacjaDo();
				break;
			default:
				return null;
				break;
		} 	}

	
	public function toArray($keyType = BasePeer::TYPE_PHPNAME, $includeLazyLoadColumns = true)
	{
		$keys = EkartkiGrupyPeer::getFieldNames($keyType);
		$result = array(
			$keys[0] => $this->getId(),
			$keys[1] => $this->getCreatedAt(),
			$keys[2] => $this->getUpdatedAt(),
			$keys[3] => $this->getNazwa(),
			$keys[4] => $this->getPublikacjaOd(),
			$keys[5] => $this->getPublikacjaDo(),
		);
		return $result;
	}

	
	public function setByName($name, $value, $type = BasePeer::TYPE_PHPNAME)
	{
		$pos = EkartkiGrupyPeer::translateFieldName($name, $type, BasePeer::TYPE_NUM);
		return $this->setByPosition($pos, $value);
	}

	
	public function setByPosition($pos, $value)
	{
		switch($pos) {
			case 0:
				$this->setId($value);
				break;
			case 1:
				$this->setCreatedAt($value);
				break;
			case 2:
				$this->setUpdatedAt($value);
				break;
			case 3:
				$this->setNazwa($value);
				break;
			case 4:
				$this->setPublikacjaOd($value);
				break;
			case 5:
				$this->setPublikacjaDo($value);
				break;
		} 	}

	
	public function fromArray($arr, $keyType = BasePeer::TYPE_PHPNAME)
	{
		$keys = EkartkiGrupyPeer::getFieldNames($keyType);

		if (array_key_exists($keys[0], $arr)) $this->setId($arr[$keys[0]]);
		if (array_key_exists($keys[1], $arr)) $this->setCreatedAt($arr[$keys[1]]);
		if (array_key_exists($keys[2], $arr)) $this->setUpdatedAt($arr[$keys[2]]);
		if (array_key_exists($keys[3], $arr)) $this->setNazwa($arr[$keys[3]]);
		if (array_key_exists($keys[4], $arr)) $this->setPublikacjaOd($arr[$keys[4]]);
		if (array_key_exists($keys[5], $arr)) $this->setPublikacjaDo($arr[$keys[5]]);
	}

	
	public function buildCriteria()
	{
		$criteria = new Criteria(EkartkiGrupyPeer::DATABASE_NAME);

		if ($this->isColumnModified(EkartkiGrupyPeer::ID)) $criteria->add(EkartkiGrupyPeer::ID, $this->id);
		if ($this->isColumnModified(EkartkiGrupyPeer::CREATED_AT)) $criteria->add(EkartkiGrupyPeer::CREATED_AT, $this->created_at);
		if ($this->isColumnModified(EkartkiGrupyPeer::UPDATED_AT)) $criteria->add(EkartkiGrupyPeer::UPDATED_AT, $this->updated_at);
		if ($this->isColumnModified(EkartkiGrupyPeer::NAZWA)) $criteria->add(EkartkiGrupyPeer::NAZWA, $this->nazwa);
		if ($this->isColumnModified(EkartkiGrupyPeer::PUBLIKACJA_OD)) $criteria->add(EkartkiGrupyPeer::PUBLIKACJA_OD, $this->publikacja_od);
		if ($this->isColumnModified(EkartkiGrupyPeer::PUBLIKACJA_DO)) $criteria->add(EkartkiGrupyPeer::PUBLIKACJA_DO, $this->publikacja_do);

		return $criteria;
	}

	
	public function buildPkeyCriteria()
	{
		$criteria = new Criteria(EkartkiGrupyPeer::DATABASE_NAME);

		$criteria->add(EkartkiGrupyPeer::ID, $this->id);

		return $criteria;
	}

	
	public function getPrimaryKey()
	{
		return $this->getId();
	}

	
	public function setPrimaryKey($key)
	{
		$this->setId($key);
	}

	
	public function copyInto($copyObj, $deepCopy = false)
	{

		$copyObj->setCreatedAt($this->created_at);

		$copyObj->setUpdatedAt($this->updated_at);

		$copyObj->setNazwa($this->nazwa);

		$copyObj->setPublikacjaOd($this->publikacja_od);

		$copyObj->setPublikacjaDo($this->publikacja_do);


		if ($deepCopy) {
									$copyObj->setNew(false);

			foreach ($this->getEkartkiObrazys() as $relObj) {
				if ($relObj !== $this) {  					$copyObj->addEkartkiObrazy($relObj->copy($deepCopy));
				}
			}

		} 

		$copyObj->setNew(true);

		$copyObj->setId(NULL); 
	}

	
	public function copy($deepCopy = false)
	{
				$clazz = get_class($this);
		$copyObj = new $clazz();
		$this->copyInto($copyObj, $deepCopy);
		return $copyObj;
	}

	
	public function getPeer()
	{
		if (self::$peer === null) {
			self::$peer = new EkartkiGrupyPeer();
		}
		return self::$peer;
	}

	
	public function clearEkartkiObrazys()
	{
		$this->collEkartkiObrazys = null; 	}

	
	public function initEkartkiObrazys()
	{
		$this->collEkartkiObrazys = array();
	}

	
	public function getEkartkiObrazys($criteria = null, PropelPDO $con = null)
	{
		if ($criteria === null) {
			$criteria = new Criteria(EkartkiGrupyPeer::DATABASE_NAME);
		}
		elseif ($criteria instanceof Criteria)
		{
			$criteria = clone $criteria;
		}

		if ($this->collEkartkiObrazys === null) {
			if ($this->isNew()) {
			   $this->collEkartkiObrazys = array();
			} else {

				$criteria->add(EkartkiObrazyPeer::GRUPA_ID, $this->id);

				EkartkiObrazyPeer::addSelectColumns($criteria);
				$this->collEkartkiObrazys = EkartkiObrazyPeer::doSelect($criteria, $con);
			}
		} else {
						if (!$this->isNew()) {
												

				$criteria->add(EkartkiObrazyPeer::GRUPA_ID, $this->id);

				EkartkiObrazyPeer::addSelectColumns($criteria);
				if (!isset($this->lastEkartkiObrazyCriteria) || !$this->lastEkartkiObrazyCriteria->equals($criteria)) {
					$this->collEkartkiObrazys = EkartkiObrazyPeer::doSelect($criteria, $con);
				}
			}
		}
		$this->lastEkartkiObrazyCriteria = $criteria;
		return $this->collEkartkiObrazys;
	}

	
	public function countEkartkiObrazys(Criteria $criteria = null, $distinct = false, PropelPDO $con = null)
	{
		if ($criteria === null) {
			$criteria = new Criteria(EkartkiGrupyPeer::DATABASE_NAME);
		} else {
			$criteria = clone $criteria;
		}

		if ($distinct) {
			$criteria->setDistinct();
		}

		$count = null;

		if ($this->collEkartkiObrazys === null) {
			if ($this->isNew()) {
				$count = 0;
			} else {

				$criteria->add(EkartkiObrazyPeer::GRUPA_ID, $this->id);

				$count = EkartkiObrazyPeer::doCount($criteria, $con);
			}
		} else {
						if (!$this->isNew()) {
												

				$criteria->add(EkartkiObrazyPeer::GRUPA_ID, $this->id);

				if (!isset($this->lastEkartkiObrazyCriteria) || !$this->lastEkartkiObrazyCriteria->equals($criteria)) {
					$count = EkartkiObrazyPeer::doCount($criteria, $con);
				} else {
					$count = count($this->collEkartkiObrazys);
				}
			} else {
				$count = count($this->collEkartkiObrazys);
			}
		}
		return $count;
	}

	
	public function addEkartkiObrazy(EkartkiObrazy $l)
	{
		if ($this->collEkartkiObrazys === null) {
			$this->initEkartkiObrazys();
		}
		if (!in_array($l, $this->collEkartkiObrazys, true)) { 			array_push($this->collEkartkiObrazys, $l);
			$l->setEkartkiGrupy($this);
		}
	}


	
	public function getEkartkiObrazysJoinsfGuardUser($criteria = null, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		if ($criteria === null) {
			$criteria = new Criteria(EkartkiGrupyPeer::DATABASE_NAME);
		}
		elseif ($criteria instanceof Criteria)
		{
			$criteria = clone $criteria;
		}

		if ($this->collEkartkiObrazys === null) {
			if ($this->isNew()) {
				$this->collEkartkiObrazys = array();
			} else {

				$criteria->add(EkartkiObrazyPeer::GRUPA_ID, $this->id);

				$this->collEkartkiObrazys = EkartkiObrazyPeer::doSelectJoinsfGuardUser($criteria, $con, $join_behavior);
			}
		} else {
									
			$criteria->add(EkartkiObrazyPeer::GRUPA_ID, $this->id);

			if (!isset($this->lastEkartkiObrazyCriteria) || !$this->lastEkartkiObrazyCriteria->equals($criteria)) {
				$this->collEkartkiObrazys = EkartkiObrazyPeer::doSelectJoinsfGuardUser($criteria, $con, $join_behavior);
			}
		}
		$this->lastEkartkiObrazyCriteria = $criteria;

		return $this->collEkartkiObrazys;
	}

	
	public function clearAllReferences($deep = false)
	{
		if ($deep) {
			if ($this->collEkartkiObrazys) {
				foreach ((array) $this->collEkartkiObrazys as $o) {
					$o->clearAllReferences($deep);
				}
			}
		} 
		$this->collEkartkiObrazys = null;
	}

} 