<?php


abstract class BaseEkartkiObrazy extends BaseObject  implements Persistent {


  const PEER = 'EkartkiObrazyPeer';

	
	protected static $peer;

	
	protected $id;

	
	protected $created_at;

	
	protected $updated_at;

	
	protected $uzytkownik_id;

	
	protected $grupa_id;

	
	protected $publikacja_od;

	
	protected $publikacja_do;

	
	protected $nazwa;

	
	protected $plik;

	
	protected $status;

	
	protected $asfGuardUser;

	
	protected $aEkartkiGrupy;

	
	protected $alreadyInSave = false;

	
	protected $alreadyInValidation = false;

	
	public function __construct()
	{
		parent::__construct();
		$this->applyDefaultValues();
	}

	
	public function applyDefaultValues()
	{
		$this->status = 1;
	}

	
	public function getId()
	{
		return $this->id;
	}

	
	public function getCreatedAt($format = 'Y-m-d H:i:s')
	{
		if ($this->created_at === null) {
			return null;
		}


		if ($this->created_at === '0000-00-00 00:00:00') {
									return null;
		} else {
			try {
				$dt = new DateTime($this->created_at);
			} catch (Exception $x) {
				throw new PropelException("Internally stored date/time/timestamp value could not be converted to DateTime: " . var_export($this->created_at, true), $x);
			}
		}

		if ($format === null) {
						return $dt;
		} elseif (strpos($format, '%') !== false) {
			return strftime($format, $dt->format('U'));
		} else {
			return $dt->format($format);
		}
	}

	
	public function getUpdatedAt($format = 'Y-m-d H:i:s')
	{
		if ($this->updated_at === null) {
			return null;
		}


		if ($this->updated_at === '0000-00-00 00:00:00') {
									return null;
		} else {
			try {
				$dt = new DateTime($this->updated_at);
			} catch (Exception $x) {
				throw new PropelException("Internally stored date/time/timestamp value could not be converted to DateTime: " . var_export($this->updated_at, true), $x);
			}
		}

		if ($format === null) {
						return $dt;
		} elseif (strpos($format, '%') !== false) {
			return strftime($format, $dt->format('U'));
		} else {
			return $dt->format($format);
		}
	}

	
	public function getUzytkownikId()
	{
		return $this->uzytkownik_id;
	}

	
	public function getGrupaId()
	{
		return $this->grupa_id;
	}

	
	public function getPublikacjaOd($format = 'Y-m-d H:i:s')
	{
		if ($this->publikacja_od === null) {
			return null;
		}


		if ($this->publikacja_od === '0000-00-00 00:00:00') {
									return null;
		} else {
			try {
				$dt = new DateTime($this->publikacja_od);
			} catch (Exception $x) {
				throw new PropelException("Internally stored date/time/timestamp value could not be converted to DateTime: " . var_export($this->publikacja_od, true), $x);
			}
		}

		if ($format === null) {
						return $dt;
		} elseif (strpos($format, '%') !== false) {
			return strftime($format, $dt->format('U'));
		} else {
			return $dt->format($format);
		}
	}

	
	public function getPublikacjaDo($format = 'Y-m-d H:i:s')
	{
		if ($this->publikacja_do === null) {
			return null;
		}


		if ($this->publikacja_do === '0000-00-00 00:00:00') {
									return null;
		} else {
			try {
				$dt = new DateTime($this->publikacja_do);
			} catch (Exception $x) {
				throw new PropelException("Internally stored date/time/timestamp value could not be converted to DateTime: " . var_export($this->publikacja_do, true), $x);
			}
		}

		if ($format === null) {
						return $dt;
		} elseif (strpos($format, '%') !== false) {
			return strftime($format, $dt->format('U'));
		} else {
			return $dt->format($format);
		}
	}

	
	public function getNazwa()
	{
		return $this->nazwa;
	}

	
	public function getPlik()
	{
		return $this->plik;
	}

	
	public function getStatus()
	{
		return $this->status;
	}

	
	public function setId($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->id !== $v) {
			$this->id = $v;
			$this->modifiedColumns[] = EkartkiObrazyPeer::ID;
		}

		return $this;
	} 
	
	public function setCreatedAt($v)
	{
						if ($v === null || $v === '') {
			$dt = null;
		} elseif ($v instanceof DateTime) {
			$dt = $v;
		} else {
									try {
				if (is_numeric($v)) { 					$dt = new DateTime('@'.$v, new DateTimeZone('UTC'));
															$dt->setTimeZone(new DateTimeZone(date_default_timezone_get()));
				} else {
					$dt = new DateTime($v);
				}
			} catch (Exception $x) {
				throw new PropelException('Error parsing date/time value: ' . var_export($v, true), $x);
			}
		}

		if ( $this->created_at !== null || $dt !== null ) {
			
			$currNorm = ($this->created_at !== null && $tmpDt = new DateTime($this->created_at)) ? $tmpDt->format('Y-m-d H:i:s') : null;
			$newNorm = ($dt !== null) ? $dt->format('Y-m-d H:i:s') : null;

			if ( ($currNorm !== $newNorm) 					)
			{
				$this->created_at = ($dt ? $dt->format('Y-m-d H:i:s') : null);
				$this->modifiedColumns[] = EkartkiObrazyPeer::CREATED_AT;
			}
		} 
		return $this;
	} 
	
	public function setUpdatedAt($v)
	{
						if ($v === null || $v === '') {
			$dt = null;
		} elseif ($v instanceof DateTime) {
			$dt = $v;
		} else {
									try {
				if (is_numeric($v)) { 					$dt = new DateTime('@'.$v, new DateTimeZone('UTC'));
															$dt->setTimeZone(new DateTimeZone(date_default_timezone_get()));
				} else {
					$dt = new DateTime($v);
				}
			} catch (Exception $x) {
				throw new PropelException('Error parsing date/time value: ' . var_export($v, true), $x);
			}
		}

		if ( $this->updated_at !== null || $dt !== null ) {
			
			$currNorm = ($this->updated_at !== null && $tmpDt = new DateTime($this->updated_at)) ? $tmpDt->format('Y-m-d H:i:s') : null;
			$newNorm = ($dt !== null) ? $dt->format('Y-m-d H:i:s') : null;

			if ( ($currNorm !== $newNorm) 					)
			{
				$this->updated_at = ($dt ? $dt->format('Y-m-d H:i:s') : null);
				$this->modifiedColumns[] = EkartkiObrazyPeer::UPDATED_AT;
			}
		} 
		return $this;
	} 
	
	public function setUzytkownikId($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->uzytkownik_id !== $v) {
			$this->uzytkownik_id = $v;
			$this->modifiedColumns[] = EkartkiObrazyPeer::UZYTKOWNIK_ID;
		}

		if ($this->asfGuardUser !== null && $this->asfGuardUser->getId() !== $v) {
			$this->asfGuardUser = null;
		}

		return $this;
	} 
	
	public function setGrupaId($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->grupa_id !== $v) {
			$this->grupa_id = $v;
			$this->modifiedColumns[] = EkartkiObrazyPeer::GRUPA_ID;
		}

		if ($this->aEkartkiGrupy !== null && $this->aEkartkiGrupy->getId() !== $v) {
			$this->aEkartkiGrupy = null;
		}

		return $this;
	} 
	
	public function setPublikacjaOd($v)
	{
						if ($v === null || $v === '') {
			$dt = null;
		} elseif ($v instanceof DateTime) {
			$dt = $v;
		} else {
									try {
				if (is_numeric($v)) { 					$dt = new DateTime('@'.$v, new DateTimeZone('UTC'));
															$dt->setTimeZone(new DateTimeZone(date_default_timezone_get()));
				} else {
					$dt = new DateTime($v);
				}
			} catch (Exception $x) {
				throw new PropelException('Error parsing date/time value: ' . var_export($v, true), $x);
			}
		}

		if ( $this->publikacja_od !== null || $dt !== null ) {
			
			$currNorm = ($this->publikacja_od !== null && $tmpDt = new DateTime($this->publikacja_od)) ? $tmpDt->format('Y-m-d H:i:s') : null;
			$newNorm = ($dt !== null) ? $dt->format('Y-m-d H:i:s') : null;

			if ( ($currNorm !== $newNorm) 					)
			{
				$this->publikacja_od = ($dt ? $dt->format('Y-m-d H:i:s') : null);
				$this->modifiedColumns[] = EkartkiObrazyPeer::PUBLIKACJA_OD;
			}
		} 
		return $this;
	} 
	
	public function setPublikacjaDo($v)
	{
						if ($v === null || $v === '') {
			$dt = null;
		} elseif ($v instanceof DateTime) {
			$dt = $v;
		} else {
									try {
				if (is_numeric($v)) { 					$dt = new DateTime('@'.$v, new DateTimeZone('UTC'));
															$dt->setTimeZone(new DateTimeZone(date_default_timezone_get()));
				} else {
					$dt = new DateTime($v);
				}
			} catch (Exception $x) {
				throw new PropelException('Error parsing date/time value: ' . var_export($v, true), $x);
			}
		}

		if ( $this->publikacja_do !== null || $dt !== null ) {
			
			$currNorm = ($this->publikacja_do !== null && $tmpDt = new DateTime($this->publikacja_do)) ? $tmpDt->format('Y-m-d H:i:s') : null;
			$newNorm = ($dt !== null) ? $dt->format('Y-m-d H:i:s') : null;

			if ( ($currNorm !== $newNorm) 					)
			{
				$this->publikacja_do = ($dt ? $dt->format('Y-m-d H:i:s') : null);
				$this->modifiedColumns[] = EkartkiObrazyPeer::PUBLIKACJA_DO;
			}
		} 
		return $this;
	} 
	
	public function setNazwa($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->nazwa !== $v) {
			$this->nazwa = $v;
			$this->modifiedColumns[] = EkartkiObrazyPeer::NAZWA;
		}

		return $this;
	} 
	
	public function setPlik($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->plik !== $v) {
			$this->plik = $v;
			$this->modifiedColumns[] = EkartkiObrazyPeer::PLIK;
		}

		return $this;
	} 
	
	public function setStatus($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->status !== $v || $v === 1) {
			$this->status = $v;
			$this->modifiedColumns[] = EkartkiObrazyPeer::STATUS;
		}

		return $this;
	} 
	
	public function hasOnlyDefaultValues()
	{
						if (array_diff($this->modifiedColumns, array(EkartkiObrazyPeer::STATUS))) {
				return false;
			}

			if ($this->status !== 1) {
				return false;
			}

				return true;
	} 
	
	public function hydrate($row, $startcol = 0, $rehydrate = false)
	{
		try {

			$this->id = ($row[$startcol + 0] !== null) ? (int) $row[$startcol + 0] : null;
			$this->created_at = ($row[$startcol + 1] !== null) ? (string) $row[$startcol + 1] : null;
			$this->updated_at = ($row[$startcol + 2] !== null) ? (string) $row[$startcol + 2] : null;
			$this->uzytkownik_id = ($row[$startcol + 3] !== null) ? (int) $row[$startcol + 3] : null;
			$this->grupa_id = ($row[$startcol + 4] !== null) ? (int) $row[$startcol + 4] : null;
			$this->publikacja_od = ($row[$startcol + 5] !== null) ? (string) $row[$startcol + 5] : null;
			$this->publikacja_do = ($row[$startcol + 6] !== null) ? (string) $row[$startcol + 6] : null;
			$this->nazwa = ($row[$startcol + 7] !== null) ? (string) $row[$startcol + 7] : null;
			$this->plik = ($row[$startcol + 8] !== null) ? (string) $row[$startcol + 8] : null;
			$this->status = ($row[$startcol + 9] !== null) ? (int) $row[$startcol + 9] : null;
			$this->resetModified();

			$this->setNew(false);

			if ($rehydrate) {
				$this->ensureConsistency();
			}

						return $startcol + 10; 
		} catch (Exception $e) {
			throw new PropelException("Error populating EkartkiObrazy object", $e);
		}
	}

	
	public function ensureConsistency()
	{

		if ($this->asfGuardUser !== null && $this->uzytkownik_id !== $this->asfGuardUser->getId()) {
			$this->asfGuardUser = null;
		}
		if ($this->aEkartkiGrupy !== null && $this->grupa_id !== $this->aEkartkiGrupy->getId()) {
			$this->aEkartkiGrupy = null;
		}
	} 
	
	public function reload($deep = false, PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("Cannot reload a deleted object.");
		}

		if ($this->isNew()) {
			throw new PropelException("Cannot reload an unsaved object.");
		}

		if ($con === null) {
			$con = Propel::getConnection(EkartkiObrazyPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				
		$stmt = EkartkiObrazyPeer::doSelectStmt($this->buildPkeyCriteria(), $con);
		$row = $stmt->fetch(PDO::FETCH_NUM);
		$stmt->closeCursor();
		if (!$row) {
			throw new PropelException('Cannot find matching row in the database to reload object values.');
		}
		$this->hydrate($row, 0, true); 
		if ($deep) {  
			$this->asfGuardUser = null;
			$this->aEkartkiGrupy = null;
		} 	}

	
	public function delete(PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("This object has already been deleted.");
		}

		if ($con === null) {
			$con = Propel::getConnection(EkartkiObrazyPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		
		$con->beginTransaction();
		try {
			EkartkiObrazyPeer::doDelete($this, $con);
			$this->setDeleted(true);
			$con->commit();
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public function save(PropelPDO $con = null)
	{
    if ($this->isNew() && !$this->isColumnModified(EkartkiObrazyPeer::CREATED_AT))
    {
      $this->setCreatedAt(time());
    }

    if ($this->isModified() && !$this->isColumnModified(EkartkiObrazyPeer::UPDATED_AT))
    {
      $this->setUpdatedAt(time());
    }

		if ($this->isDeleted()) {
			throw new PropelException("You cannot save an object that has been deleted.");
		}

		if ($con === null) {
			$con = Propel::getConnection(EkartkiObrazyPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		
		$con->beginTransaction();
		try {
			$affectedRows = $this->doSave($con);
			$con->commit();
			EkartkiObrazyPeer::addInstanceToPool($this);
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	protected function doSave(PropelPDO $con)
	{
		$affectedRows = 0; 		if (!$this->alreadyInSave) {
			$this->alreadyInSave = true;

												
			if ($this->asfGuardUser !== null) {
				if ($this->asfGuardUser->isModified() || $this->asfGuardUser->isNew()) {
					$affectedRows += $this->asfGuardUser->save($con);
				}
				$this->setsfGuardUser($this->asfGuardUser);
			}

			if ($this->aEkartkiGrupy !== null) {
				if ($this->aEkartkiGrupy->isModified() || $this->aEkartkiGrupy->isNew()) {
					$affectedRows += $this->aEkartkiGrupy->save($con);
				}
				$this->setEkartkiGrupy($this->aEkartkiGrupy);
			}

			if ($this->isNew() ) {
				$this->modifiedColumns[] = EkartkiObrazyPeer::ID;
			}

						if ($this->isModified()) {
				if ($this->isNew()) {
					$pk = EkartkiObrazyPeer::doInsert($this, $con);
					$affectedRows += 1; 										 										 
					$this->setId($pk);  
					$this->setNew(false);
				} else {
					$affectedRows += EkartkiObrazyPeer::doUpdate($this, $con);
				}

				$this->resetModified(); 			}

			$this->alreadyInSave = false;

		}
		return $affectedRows;
	} 
	
	protected $validationFailures = array();

	
	public function getValidationFailures()
	{
		return $this->validationFailures;
	}

	
	public function validate($columns = null)
	{
		$res = $this->doValidate($columns);
		if ($res === true) {
			$this->validationFailures = array();
			return true;
		} else {
			$this->validationFailures = $res;
			return false;
		}
	}

	
	protected function doValidate($columns = null)
	{
		if (!$this->alreadyInValidation) {
			$this->alreadyInValidation = true;
			$retval = null;

			$failureMap = array();


												
			if ($this->asfGuardUser !== null) {
				if (!$this->asfGuardUser->validate($columns)) {
					$failureMap = array_merge($failureMap, $this->asfGuardUser->getValidationFailures());
				}
			}

			if ($this->aEkartkiGrupy !== null) {
				if (!$this->aEkartkiGrupy->validate($columns)) {
					$failureMap = array_merge($failureMap, $this->aEkartkiGrupy->getValidationFailures());
				}
			}


			if (($retval = EkartkiObrazyPeer::doValidate($this, $columns)) !== true) {
				$failureMap = array_merge($failureMap, $retval);
			}



			$this->alreadyInValidation = false;
		}

		return (!empty($failureMap) ? $failureMap : true);
	}

	
	public function getByName($name, $type = BasePeer::TYPE_PHPNAME)
	{
		$pos = EkartkiObrazyPeer::translateFieldName($name, $type, BasePeer::TYPE_NUM);
		$field = $this->getByPosition($pos);
		return $field;
	}

	
	public function getByPosition($pos)
	{
		switch($pos) {
			case 0:
				return $this->getId();
				break;
			case 1:
				return $this->getCreatedAt();
				break;
			case 2:
				return $this->getUpdatedAt();
				break;
			case 3:
				return $this->getUzytkownikId();
				break;
			case 4:
				return $this->getGrupaId();
				break;
			case 5:
				return $this->getPublikacjaOd();
				break;
			case 6:
				return $this->getPublikacjaDo();
				break;
			case 7:
				return $this->getNazwa();
				break;
			case 8:
				return $this->getPlik();
				break;
			case 9:
				return $this->getStatus();
				break;
			default:
				return null;
				break;
		} 	}

	
	public function toArray($keyType = BasePeer::TYPE_PHPNAME, $includeLazyLoadColumns = true)
	{
		$keys = EkartkiObrazyPeer::getFieldNames($keyType);
		$result = array(
			$keys[0] => $this->getId(),
			$keys[1] => $this->getCreatedAt(),
			$keys[2] => $this->getUpdatedAt(),
			$keys[3] => $this->getUzytkownikId(),
			$keys[4] => $this->getGrupaId(),
			$keys[5] => $this->getPublikacjaOd(),
			$keys[6] => $this->getPublikacjaDo(),
			$keys[7] => $this->getNazwa(),
			$keys[8] => $this->getPlik(),
			$keys[9] => $this->getStatus(),
		);
		return $result;
	}

	
	public function setByName($name, $value, $type = BasePeer::TYPE_PHPNAME)
	{
		$pos = EkartkiObrazyPeer::translateFieldName($name, $type, BasePeer::TYPE_NUM);
		return $this->setByPosition($pos, $value);
	}

	
	public function setByPosition($pos, $value)
	{
		switch($pos) {
			case 0:
				$this->setId($value);
				break;
			case 1:
				$this->setCreatedAt($value);
				break;
			case 2:
				$this->setUpdatedAt($value);
				break;
			case 3:
				$this->setUzytkownikId($value);
				break;
			case 4:
				$this->setGrupaId($value);
				break;
			case 5:
				$this->setPublikacjaOd($value);
				break;
			case 6:
				$this->setPublikacjaDo($value);
				break;
			case 7:
				$this->setNazwa($value);
				break;
			case 8:
				$this->setPlik($value);
				break;
			case 9:
				$this->setStatus($value);
				break;
		} 	}

	
	public function fromArray($arr, $keyType = BasePeer::TYPE_PHPNAME)
	{
		$keys = EkartkiObrazyPeer::getFieldNames($keyType);

		if (array_key_exists($keys[0], $arr)) $this->setId($arr[$keys[0]]);
		if (array_key_exists($keys[1], $arr)) $this->setCreatedAt($arr[$keys[1]]);
		if (array_key_exists($keys[2], $arr)) $this->setUpdatedAt($arr[$keys[2]]);
		if (array_key_exists($keys[3], $arr)) $this->setUzytkownikId($arr[$keys[3]]);
		if (array_key_exists($keys[4], $arr)) $this->setGrupaId($arr[$keys[4]]);
		if (array_key_exists($keys[5], $arr)) $this->setPublikacjaOd($arr[$keys[5]]);
		if (array_key_exists($keys[6], $arr)) $this->setPublikacjaDo($arr[$keys[6]]);
		if (array_key_exists($keys[7], $arr)) $this->setNazwa($arr[$keys[7]]);
		if (array_key_exists($keys[8], $arr)) $this->setPlik($arr[$keys[8]]);
		if (array_key_exists($keys[9], $arr)) $this->setStatus($arr[$keys[9]]);
	}

	
	public function buildCriteria()
	{
		$criteria = new Criteria(EkartkiObrazyPeer::DATABASE_NAME);

		if ($this->isColumnModified(EkartkiObrazyPeer::ID)) $criteria->add(EkartkiObrazyPeer::ID, $this->id);
		if ($this->isColumnModified(EkartkiObrazyPeer::CREATED_AT)) $criteria->add(EkartkiObrazyPeer::CREATED_AT, $this->created_at);
		if ($this->isColumnModified(EkartkiObrazyPeer::UPDATED_AT)) $criteria->add(EkartkiObrazyPeer::UPDATED_AT, $this->updated_at);
		if ($this->isColumnModified(EkartkiObrazyPeer::UZYTKOWNIK_ID)) $criteria->add(EkartkiObrazyPeer::UZYTKOWNIK_ID, $this->uzytkownik_id);
		if ($this->isColumnModified(EkartkiObrazyPeer::GRUPA_ID)) $criteria->add(EkartkiObrazyPeer::GRUPA_ID, $this->grupa_id);
		if ($this->isColumnModified(EkartkiObrazyPeer::PUBLIKACJA_OD)) $criteria->add(EkartkiObrazyPeer::PUBLIKACJA_OD, $this->publikacja_od);
		if ($this->isColumnModified(EkartkiObrazyPeer::PUBLIKACJA_DO)) $criteria->add(EkartkiObrazyPeer::PUBLIKACJA_DO, $this->publikacja_do);
		if ($this->isColumnModified(EkartkiObrazyPeer::NAZWA)) $criteria->add(EkartkiObrazyPeer::NAZWA, $this->nazwa);
		if ($this->isColumnModified(EkartkiObrazyPeer::PLIK)) $criteria->add(EkartkiObrazyPeer::PLIK, $this->plik);
		if ($this->isColumnModified(EkartkiObrazyPeer::STATUS)) $criteria->add(EkartkiObrazyPeer::STATUS, $this->status);

		return $criteria;
	}

	
	public function buildPkeyCriteria()
	{
		$criteria = new Criteria(EkartkiObrazyPeer::DATABASE_NAME);

		$criteria->add(EkartkiObrazyPeer::ID, $this->id);

		return $criteria;
	}

	
	public function getPrimaryKey()
	{
		return $this->getId();
	}

	
	public function setPrimaryKey($key)
	{
		$this->setId($key);
	}

	
	public function copyInto($copyObj, $deepCopy = false)
	{

		$copyObj->setCreatedAt($this->created_at);

		$copyObj->setUpdatedAt($this->updated_at);

		$copyObj->setUzytkownikId($this->uzytkownik_id);

		$copyObj->setGrupaId($this->grupa_id);

		$copyObj->setPublikacjaOd($this->publikacja_od);

		$copyObj->setPublikacjaDo($this->publikacja_do);

		$copyObj->setNazwa($this->nazwa);

		$copyObj->setPlik($this->plik);

		$copyObj->setStatus($this->status);


		$copyObj->setNew(true);

		$copyObj->setId(NULL); 
	}

	
	public function copy($deepCopy = false)
	{
				$clazz = get_class($this);
		$copyObj = new $clazz();
		$this->copyInto($copyObj, $deepCopy);
		return $copyObj;
	}

	
	public function getPeer()
	{
		if (self::$peer === null) {
			self::$peer = new EkartkiObrazyPeer();
		}
		return self::$peer;
	}

	
	public function setsfGuardUser(sfGuardUser $v = null)
	{
		if ($v === null) {
			$this->setUzytkownikId(NULL);
		} else {
			$this->setUzytkownikId($v->getId());
		}

		$this->asfGuardUser = $v;

						if ($v !== null) {
			$v->addEkartkiObrazy($this);
		}

		return $this;
	}


	
	public function getsfGuardUser(PropelPDO $con = null)
	{
		if ($this->asfGuardUser === null && ($this->uzytkownik_id !== null)) {
			$c = new Criteria(sfGuardUserPeer::DATABASE_NAME);
			$c->add(sfGuardUserPeer::ID, $this->uzytkownik_id);
			$this->asfGuardUser = sfGuardUserPeer::doSelectOne($c, $con);
			
		}
		return $this->asfGuardUser;
	}

	
	public function setEkartkiGrupy(EkartkiGrupy $v = null)
	{
		if ($v === null) {
			$this->setGrupaId(NULL);
		} else {
			$this->setGrupaId($v->getId());
		}

		$this->aEkartkiGrupy = $v;

						if ($v !== null) {
			$v->addEkartkiObrazy($this);
		}

		return $this;
	}


	
	public function getEkartkiGrupy(PropelPDO $con = null)
	{
		if ($this->aEkartkiGrupy === null && ($this->grupa_id !== null)) {
			$c = new Criteria(EkartkiGrupyPeer::DATABASE_NAME);
			$c->add(EkartkiGrupyPeer::ID, $this->grupa_id);
			$this->aEkartkiGrupy = EkartkiGrupyPeer::doSelectOne($c, $con);
			
		}
		return $this->aEkartkiGrupy;
	}

	
	public function clearAllReferences($deep = false)
	{
		if ($deep) {
		} 
			$this->asfGuardUser = null;
			$this->aEkartkiGrupy = null;
	}

} 